Summary:        DRBL (Diskless Remote Boot in Linux) package.
Name:           drbl
Version:	1.7.9
Release:	66
License:	GPL
Group:		Development/DRBL
Source0:	drbl-%{version}-%{release}.tar.gz
URL:		http://drbl.nchc.org.tw
ExclusiveArch:	%{ix86}
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	perl
BuildRequires:  perl
Obsoletes:	drbl-gdm, drbl-script, drbl-setup, rh-netinstall, mdk-netinstall, woody-netinstall, memtest86, knoppix-terminalserver, partimage-server

%description
DRBL (Diskless Remote Boot in Linux).
Description:
DRBL provides a diskless or systemless environment for client machines. It works on Debian, Ubuntu, Mandriva, Red Hat, Fedora, CentOS and SuSE. Unlike LTSP, it uses distributed hardware resources and makes it possible for clients to fully access local hardware. It also includes Clonezilla, a partitioning and disk cloning utility similar to Symantec Ghost.
For more details, check 
1. http://drbl.sf.net (English)
2. http://drbl.nchc.org.tw (Chinese Big5 - Taiwan) 

About DRBL GDM greeter background photo:
Guido took the background from Gnome Korea and FreeIcons from kde-look.
Author=Added some words by Steven Shiau - steven _at_ nchc org tw , originally by Guido Sanchez - zeek _at_ argentina com. The DRBL logo is created by Emma Chiu.

%prep
%setup -q -n drbl-%{version}-%{release}

%build
make 

%install
[ -d "$RPM_BUILD_ROOT" ] && rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/

%clean
rm -rf $RPM_BUILD_ROOT

%post

%preun 

%files
%defattr(-,root,root)
/opt/drbl/setup/*
/opt/drbl/conf/*
/opt/drbl/lang/*
/opt/drbl/pkg/*
/opt/drbl/pki/*
/opt/drbl/image/*
/opt/drbl/doc/*
/opt/drbl/sbin/*
/opt/drbl/bin/*
%{_datadir}/gdm/themes/drbl-gdm/*

%changelog
* Sat Mar 10 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-66
- update language files.
- use varibles memtest_filename and drbl_logo variables in generate-pxe-menu.

* Sat Mar 10 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-65
- update language files.
- use drbllogo.png instead of drbl-pxe.png, since "-" is not accepted in isolinux.

* Fri Mar 09 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-64
- nis serivce should be earlier than gdm in debian.

* Thu Mar 08 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-63
- add console-common in PKG_FROM_DBN_WHICH_OCS_LIVE_NEED, psmisc in PKG_FROM_DBN_MINIMAL_NEED (drbl.conf)
- /opt/drbl/bin/kbdconf-bterm is added for clonezilla live to do keyboard config.

* Tue Mar 06 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-62
- bug fixed: if drbl mode is none, and full clonezilla mode, client will fail boot normally.

* Tue Mar 06 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-61
- use $SETCOLOR_FAILURE to show no default display manager in drblpush.

* Sun Mar 04 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-60
- update RELEASE-NOTES.

* Sun Mar 04 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-59
- add variable MSWIN_ADMIN_ID in drbl.conf, use that in dcs.

* Sat Mar 03 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-58
- update language files.
- add reiserfsprogs e2fsprogs dosfstools xfsprogs jfsutils for debian in drbl.conf.
- reorg the variable about PKG_FROM_DBN_MINIMAL_NEED and PKG_FROM_DBN_WHICH_OCS_LIVE_NEED

* Thu Mar 01 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-57
- update comments in drblsrv.
- update language files.

* Wed Feb 28 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-56
- add ddrescue and gddrescue in drbl.conf (for Debian Live CD for Clonezilla).
- sort those PKG_FROM_DBN_* in drbl.conf.
- force to strip the unnecessary quotation ', this is specially for dialog (from cdialog) in Mandriva. Otherwise it will cause -p reboot becomes '-p reboot', which is wrong option in dcs.

* Mon Feb 26 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-55
- add an option skip with the options -y[0-2] in dcs and ocs-sr.
- update language files.

* Thu Feb 22 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-54
- update drbl-SL.sh to work with Debian Live 20070219.

* Tue Feb 20 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-53
- drbl-SL.sh works for INSERT 1.39a, PuppyLinux 2.14.

* Sun Feb 18 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-52
- bug fixed: variable not found, it should be maxswapsize instead of MaxSwapSize in files/misc/mkswapfile.

* Fri Feb 16 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-51
- add "--braodcast" in drbl-functions for clonezilla.

* Thu Feb 15 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-50
- wait before enter drbl SSI question in drblpush.

* Thu Feb 15 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-49
- add comments in /opt/drbl/setup/files/Ubuntu/6.10/rc-default.

* Thu Feb 15 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-48
- new upstream syslinux 3.36.
- use a workaround to avoid upstart bug in Ubuntu 6.10 (https://launchpad.net/ubuntu/+source/upstart/+bug/85014)

* Fri Feb 09 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-47
- new upstream syslinux 3.36-pre10.

* Fri Feb 09 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-46
- bug fixed: generate-pxe-menu honors the drbl_mode and clonezilla_mode in /etc/drbl/drbl_deploy.conf. This will avoid DRBL SSI mode and Clonezilla box mode fail after generate-pxe-menu is run again after "drblpush -i" is done.
- new upstream syslinux 3.36-pre6.

* Mon Feb 05 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-45
- update drbl-SL.sh so that we can force some distribution as Debian-live.

* Mon Feb 05 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-44
- add lvm2 in PKG_FROM_DBN_MINIMAL_NEED in drbl.conf.

* Sat Feb 03 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-43
- update language files.

* Fri Feb 02 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-42
- load language file automatically for drbl-SL.sh when uninstalling drbl.

* Thu Feb 01 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-41
- language support, -d/-V are added in drbl-SL.sh.
- update Usage in drbl-SL.sh.

* Thu Feb 01 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-40
- PUD GNU/Linux is supported by drbl-SL.sh.

* Tue Jan 30 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-39
- add mtools in PKG_FROM_DBN in drbl.conf.
- add a dir /opt/drbl/image for background images in syslinux/pxelinux/isolinux and grub.
- use variable ocs_logo_img_syslinux and ocs_logo_img_grub in drbl.conf.

* Mon Jan 29 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-38
- prepare a dir for ocs lock file in drblpush.
- update language file, avoiding some annoying Big5 characters.
- new upstream syslinux-3.35.

* Tue Jan 26 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-37
- add isolinux_file="$pxelinux_binsrc_dir/isolinux.bin" and isolinux_bg_img="$pxelinux_binsrc_dir/ocslogo.png" in drbl.conf
- language set can use zh_TW.BIG5 or zh_TW.UTF-8.
- update language files.

* Tue Jan 23 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-36
- add no warranty notice in dcs for clonezilla.

* Tue Jan 23 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-35
- add fbset in PKG_FROM_DBN_WHICH_OCS_LIVE_NEED (drbl.conf)

* Tue Jan 23 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-34
- add localepurge in PKG_FROM_DBN_WHICH_OCS_LIVE_NEED (drbl.conf)

* Tue Jan 23 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-33
- use "Traditional Chinese" instead of "Chinese Traditional"

* Tue Jan 23 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-32
- add "ssh sshfs smbfs lftp dhcp3-client testdisk" in PKG_FROM_DBN_WHICH_OCS_LIVE_NEED (drbl.conf)

* Mon Jan 22 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-31
- add bogl-bterm and whiptail in PKG_FROM_DBN_WHICH_OCS_LIVE_NEED (drbl.conf).
- mv create-debian-live to package clonezilla.
- /opt/drbl/bin/langchooser, /opt/drbl/sbin/tw-bterm are added.

* Thu Jan 18 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-30
- function added root_over_nfs in drbl-functions.

* Wed Jan 17 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-29
- add screen in $PKG_FROM_DBN_WHICH_OCS_LIVE_NEED
- add -x for shutdown command with cygwin clients in dcs.

* Tue Jan 16 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-28
- replace all /tftpboot/node_root/ with $drbl_common_root in drblpush.
- add comment in $drbl_common_root/sbin/fsck.nfs.
- Debian Etch has NetworkManager/NetworkManagerDispatcher under dbus, we can not let it start in client. Otherwise the network in client will be reset.
- new upstream memtest80+ 1.70
- add tar in PKG_FROM_DBN_MINIMAL_NEED.
- use variable pxelinux_binsrc_dir in drbl.conf, add mbr.bin from syslinux in /opt/drbl/pkg.
- clean /boot/initrd*.bak in create-debian-live
- add package syslinux from GNU/Linux as a requirement in drbl.conf, since when we create ocs live media (usb), it's necessary.

* Sun Jan 14 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-27
- add ntfs-3g in PKG_FROM_DBN_WHICH_OCS_LIVE_NEED (drbl.conf).

* Sat Jan 13 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-26
- add gzip in PKG_FROM_DBN_MINIMAL_NEED, and add another PKG_FROM_DBN_WHICH_OCS_LIVE_NEED="less"
- update languages for ocs-iso.

* Fri Jan 12 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-25
- add util-linux in PKG_FROM_DBN_MINIMAL_NEED (drbl.conf).

* Thu Jan 11 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-24
- bug fixed: when dcs -d3 is running, select_hosts should run -d3, too.

* Thu Jan 11 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-23
- update sbin/create-debian-live, add /etc/rc2.d/S99ocs-live in squashfs.

* Thu Jan 11 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-22
- add bzip2 and procps in PKG_FROM_DBN (drbl.conf).
- now $PKG_FROM_DBN_MINIMAL_NEED and $PKG_FROM_DBN in drbl.ocs
- add sbin/create-debian-live

* Wed Jan 10 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-21
- update prompt in check_kernel_nfsd_tcp_config.
- new function: The script in the direcoty $POST_RUN_DIR will be run before drblpush is run and after it's finished.
- switch-pxe-menu, select_hosts support -d[0-4], dcs will also pass -d[0-4] to them when call them.

* Tue Jan 09 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-20
- bug fixed: now the variable is drbl_mode instead of drbl_ssi_mode

* Mon Jan 08 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-19
- update language files.
- re-org the mode layouts in dcs, rename "others" as "more".

* Mon Jan 08 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-18
- bug fixed: language file syntax error.

* Mon Jan 08 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-17
- 3 modes for drbl_mode: full_drbl_mode, drbl_ssi_mode, none. 3 modes for clonezilla mode: full_clonezilla_mode, clonezilla_box_mode, none.
- some options will be hidden in dcs if appropriate files do not exist in system.

* Sat Jan 06 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-16
- bug fixed: drbl-SL.sh failed to uninstall Debian-live.
- drbl-SL works for GeeXbox 1.0 and 2.0 preview.
- now the estimated ramdisk_size is based on initrd size, client's ram size is also estimated by * 3.

* Sat Jan 06 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-15
- update help message in set-default-pxe-img
- drbl-SL supports debian live etch.

* Fri Jan 05 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-14
- separate -y0/-y1/-y2 for clonezilla-start in dcs.

* Fri Jan 05 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-13
- Since now clonezilla and drbl are decoupled in PXELinux menu, when clonezilla_box_mode is off, drbl_ssi_mode maybe still on. We have to show all the menus in dcs.
- use script /opt/drbl/bin/hide_reveal_pxe_img instead of fnction.

* Thu Jan 04 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-12
- when gen_client_files.sh is run in drblpush, we put ocs related services in client's rc1.d, and ocs-run is put also.
- since now drbl and clonezilla are decoupled, we should not suppress these mode when clonezilla box mode is chosen in drblpush: $swap_create="no"; $client_startup_mode="2"; $set_client_root_passwd="no"; $set_DBN_client_audio_plugdev="no"; $set_client_alias_IP="no";         

* Wed Jan 03 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-11
- update help message in mknic-nbi.
- modified linuxrc for puppylinux 2.13 is added.
- Since now the clonezilla and drbl labels are separated in PXELINUX menu, no more program turn-drbl-ssi-mode. It is replaced by tune-clientdir-opt.
- use tune-clientdir-opt instead of turn-drbl-ssi-mode in drblpush.

* Wed Jan 03 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-10
- update RELEASE-NOTES
- add 1 in clonezilla block template (generate-pxe-menu)

* Tue Jan 02 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-9
- update RELEASE-NOTES

* Tue Jan 02 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-8
- update RELEASE-NOTES

* Tue Jan 02 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-7
- add label clonezilla when using generate-pxe-menu to create the pxelinux config. This will allow clonezilla to be decoupled with drbl menu in pxelinux.

* Tue Jan 02 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-6
- init.drbl will ignore those ocs_opt bootparam when passing to init.

* Tue Jan 02 2007 Steven Shiau <steven _at_ nchc org tw> 1.7.9-5
- change exec /sbin/init.orig $* -> exec /sbin/init.orig `cat /proc/cmdline` $* in init.drbl.
- update comments in drbl-functions for single user mode password.
- use function check_if_run_in_drbl_server in dcs.
- deploy service ocs-run from clonezilla to /tftpboot/node_root/etc/init.d in drblpush.
- update some prompt in arm-wol.
- update language help in drbl-functions.

* Thu Dec 28 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.9-4
- update language help in drbl-functions.
- we can choose only the disk we want to restore when there are more than 2 disks in an saved image.

* Wed Dec 27 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.9-3
- when serial console parameters are found in $pxecfg_pd/pxelinux.cfg/default. Force to use text PXELINUX menu, no graphic background.

* Wed Dec 27 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.9-2
- bug fixed: opensuse-10.2.repo was missing.

* Wed Dec 27 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.9-1
- add a function run_drblsrv_offline in drblsrv.
- bug fixed: serial console parameters was not created in PXE linux config file.
- if serial console for client is set, force to use menu.c32 for PXE Linux menu.
- if text mode login for client is set, force to use menu.c32 for PXE Linux menu.

* Tue Dec 26 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.8-23
- "-p true" is added in dcs and drbl-functions.
- add -d[34] for gdialog and kdialog in dcs.

* Tue Dec 26 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.8-22
- typo corrected: New NBI initrd size (uncompressed) should be in KB instead of in MB in drbl-SL.

* Mon Dec 25 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.8-21
- drbl-pxe-passwd (option -b) can turn on/off and assign MENU PASSWD for some specific lable blocks.

* Sun Dec 24 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.8-20
- turn on -c before saving in drbl-functions.
- -c option is added for drbl-ocs.

* Sat Dec 23 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.8-19
- remove --no-shadow in dcs, add -- in $DIA in drbl-functions so that whiptail works with dcs.
- add -d[0-2] so that we can choose to use dialog, Xdialog or whiptail in dcs.
- rename package partimage as drbl-partimage.
- put $DRBL_SCRIPT_PATH/sbin:$DRBL_SCRIPT_PATH/bin before original PATH in drbl-functions. This will put partimage/ntfsclone/lzop from drbl in higher priority.
- provide -y0/-y1 and -p xxx choice when in select-in-client mode (dcs).

* Thu Dec 21 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.8-18
- update language files.

* Thu Dec 21 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.8-17
- default to turn on -c (confirm) in dcs when using select-in-client mode (dcs).
- check if image name is reserved name when saving image in dcs.

* Wed Dec 20 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.8-16
- To avoid confusion, package lzop is renamed as drbl-lzop, and exec file is in /opt/drbl/bin/lzop

* Wed Dec 20 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.8-15
- rename ask_if_skip_set_ocs_extra_param as set_drbl_ocs_extra_param, and move it from dcs to drbl-functions. set_ocs_sr_extra_param is also added.
- a mode "select_in_client" in added in dcs, and use shorter option  (such as clonezilla-save-disk -> save-disk) in dcs.
- change the ocs parameter option in dcs: -p true -> -p choose, this will allow us to choose to reboot or enter single user mode when clone finishes.
- Now the lease time (300 secs) in dhcpd.conf is much shorter than before. Add DHCPD_DEFAULT_LEASE_TIME="300" and DHCPD_MAX_LEASE_TIME="300" in drbl.conf, use that in dhcpd.conf. 
- update language files.

* Tue Dec 19 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.8-14
- bug fixed: should be exit 1 in mkswapfile.

* Tue Dec 19 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.8-13
- if mkswapfile is nonthing, return 1 (mkswapfile).
- update prompt in mknic-nbi.
- The function name in mountnfs.sh in etch is changed, so modify the code in drblpush.

* Sat Dec 16 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.8-12
- We can let DRBL server as or not as NAT server (drblpush)
- new upstream syslinux 3.32-pre8

* Sat Dec 16 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.8-11
- Bug fixed: DRBL SSI fails to boot in Sarge. By using create_dev() and put it in the early stage in init.drbl, and do not redirect stderr and stdout to /dev/null when untar etc/var/opt tarball in drbl ssi mode, if redirect, and without creating dev files before this, it will fail to boot in sarge or older dists (Those shows "Warning:unable to open an initial console" when entering init.drbl). Therefore DRBL SSI and clonezilla box will fail!

* Fri Dec 15 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.8-10
- bug fixed: typo in default clonezilla image path (drblpush).

* Fri Dec 15 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.8-9
- only the path is not under /mnt, /media and /tmp can be the clonezilla image repository (drblpush).
- check if dcs is run in drbl server, if it's in client, abort.
- add "iptables -P OUTPUT ACCEPT" in drbl-nat-rules.
- update prompts for nisdomain, dnsdomain... (drblpush).

* Thu Dec 14 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.8-8
- update RELEASE-NOTES for drbl-etherboot.
- update prompts in drblpush.

* Thu Dec 14 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.8-7
- update comments in mknic-nbi.
- initramfs is turn on only for kernel 2.6.15 or later.

* Thu Dec 14 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.8-6
- update prompts.
- remove stalled files in /opt/drbl/setup/files/.
- bug fixed: rpm complained /static/sh is required.

* Thu Dec 14 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.8-5
- move del_param_in_pxelinux_cfg_drbl_related_block() and  add_param_in_pxelinux_cfg_drbl_related_block() to drbl-functions from mknic-nbi.

* Thu Dec 14 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.8-4
- update language files.
- bug fixed: we should create the pxelinux menu file, then use mknic-nbi, which will update pxelinux menu file (drblsrv-offline).

* Thu Dec 14 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.8-3
- update prompt in mknic-nib.
- update language files.
- if kernel 2.6 is found, default to use initramfs (mknic-nbi), now mknic-nbi will add or del ramdisk_size/ramdisk_blocksize in pxelinux.cfg/default.

* Tue Dec 12 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.8-2
- package etherboot is renamed to drbl-etherboot to avoid confusion with that from GNU/Linux distribution. Therefore drblpush, drbl.conf and prepare_files_for_PXE_client are modified.
- /etc/opt/kde3/share/config/kdm/kdmrc is no more in OpenSUSE 10.2, so get_gdm_kdm_conf_filename in drbl-functions is modified.

* Mon Dec 11 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.8-1
- reorg file arch:/opt/drbl/setup/files/ -> /opt/drbl/setup/files/{DBN,RH,MDK,SUSE}/.
- add -t|--initfs-type support in mknic-nbi.
- supports OpenSuSE 10.2.

* Sat Dec 09 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.7-12
- bug fixed: The partitions are not shown in the batch prompt when doing restore-partitions of clonezilla in dcs (drbl-client-switch).
- update language files.
- If files are put in /tftpboot/node_root/drbl_ssi/clients/$IP/, it will be copied to DRBL client when client boots. By doing this, we can assign some special setting for DRBL SSI client. Check /tftpboot/node_root/drbl_ssi/clients/00_README for more details.
- add function is_drbl_client in drbl-functions.

* Mon Dec 04 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.7-11
- add ntfs-3g in PKG_TO_QUERY (drbl.conf).
- bug fixed: when stop clonezilla in dcs, if $LIST_HOST is on, we should only stop those clients, otherwise the pxelinux config files will be in a mess (dcs).

* Sun Dec 03 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.7-10
- graphical boot for Fedora can be on by either (1) generate-pxe-menu -g y (2) graphical_boot=yes in drbl.conf.
- new upstream DSL 3.1, modified linuxrc, and drbl-SL.sh examples are updated.
- comment 'option host-name "$label";' in drblpush, and will remove that in the future since it's useless. Client's hostname actually is not assigned there.
- if root, copy id_rsa.pub as authorized_keys in clients only, no more copying private key (drbl-doit).

* Tue Nov 28 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.7-9
- if desired kernel is not found in release repository, use the one in updates repository as default in RH/FC/MDV (drblsrv).
- force to upgrade kudzu when updated version is released in FC6.

* Mon Nov 27 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.7-8
- update language files.

* Sun Nov 26 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.7-7
- A setdefault function is added in dcs -> switch-pxe-menu, now we can switch any revealed menu (including those small linux, DSL, PuppyLinux) as client's default boot menu.
- update language files.
- add delete_label_block_pxe_img in drbl-functions.
- drbl-SL.sh now supports uninstall. and now the mode to install or uninstall [-i|-u] (such as "drbl-SL.sh -i *.iso") must be assigned.
- add SL remove function in drblsrv.

* Fri Nov 24 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.7-6
- Rename /opt/drbl/conf/drbl-client-ip-hostname as /opt/drbl/conf/client-ip-hostname.
- update the contents of /opt/drbl/conf/client-ip-hostname.

* Fri Nov 24 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.7-5
- Bug fixed: some case in Clonezilla, save and restore loop forever. Thanks to Dave Haakenhout <Dave.Haakenhout _at_ nccw nl>. This is done by reporting lowecase MAC address in get_mac so that the created PXE config file in the server is lowercase.
- parse_dhcpd_conf only creates lowercase MAC address table.
- drbl-collect-mac converts the collected MAC address to lowercase.
- force to install gpm for MDV2006/MDV2007 since released cdialog can not work correctly without gpm running.
- two types of lzma is supported in drbl-SL.sh.
- record IP hostname list in /etc/drbl/IP_HOST_TABLE.
- now we can assign client hostname in /opt/drbl/conf/drbl-client-ip-hostname before running drblpush -i.
- DBN4.0/firstboot.DBN4.0.drbl added.

* Thu Nov 23 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.7-4
- Change the mode of linuxrc-*.drbl to be 644 in files/INSERT, this will avoid the rpm check if /bin/ash exists.

* Thu Nov 23 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.7-3
- bug fixed: put the missing file /opt/drbl/setup/files/INSERT/default/linuxrc.INSERT-default.drbl

* Thu Nov 23 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.7-2
- update usage and example url in drbl-SL.sh
- add INSERT Linux support in DRBL-SL.sh
- add notes in Small Linux linuxrc.
- merge drbl-pld-rescue.sh into drbl-SL.sh, no more drbl-pld-rescue.sh. Now drbl-SL.sh supports these 4 small linux: DSL, PuppyLinux, INSERT and PLD.

* Wed Nov 22 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.7-1
- update language files, add msg_ocs_param_ns.
- add "-ns" for clonezilla in dcs.
- add a command sbin/drbl-pld-rescue.sh to load PLD Linux Rescue CD to DRBL environment.

* Sat Nov 18 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.6-35
- For root account, we will NOT copy authorized_keys, since the root in the client should not share the same authorized_keys with that in server. For normal user, we let user can ssh login back to server and other machine without password. (drbl-doit)
- For better security, /tftpboot/nodes mode is 700.

* Thu Nov 16 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.6-34
- update language file.
- update linuxrc for PuppyLinux 2.12*.

* Tue Nov 14 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.6-33
- bug fixed: drbl-SL.sh now works for PuppyLinux 2.12beta2.

* Mon Nov 13 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.6-32
- Change the mode of linuxrc-*.drbl to be 644 in files/Puppylinux and files/DSL, this will avoid the rpm check if /bin/ash and /static/sh exists.

* Mon Nov 13 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.6-31
- add drbl-SL.sh so that we can load DamnSmallLinux iso (dsl-3.0.1.iso) and PuppyLinux iso (puppy-2.11-seamonkey-xorgdrvrs.iso) to DRBL environment.

* Thu Nov 09 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.6-30
- supress the grep /etc/kudzu error.

* Thu Nov 09 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.6-29
- Improve the kernel installation checking mechanism for clients (drblsrv).

* Thu Nov 09 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.6-28
- Bug fixed: fixed the wrong path for MDV2006 urpm.addmedia.

* Wed Nov 08 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.6-27
- report more info (such as server CPU, memory size, client no and all the DRBL-related packages) in drbl-bug-report, and now output the result to a file, not in stdout any more.
- exclude /etc/selinux/targeted when create DRBL SSI etc tarball.

* Tue Nov 07 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.6-26
- stop yum-updated service to avoid conflict in FC, we will resume it when packages installation finish.

* Tue Nov 07 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.6-25
- get_common_usersname is rewritten based on /var/yp/Makefile.
- bug fixed: FC6, the RPM-GPG-KEY-fedora & RPM-GPG-KEY are only in /etc/pki, not in /usr/share/doc/fedora-release* any more.

* Mon Nov 06 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.6-24
- default to supress the output of depmod, and -v for install-kernel-for-client and update_client_kernel_from_server.sh.
- add -v|--verbose option for drblsrv and drblsrv-offline.
- pass -v option to update_client_kernel_from_server.sh from drblpush.

* Sun Nov 05 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.6-23
- create $drbl_common_root/lib/modules/$KERNEL_VER/volatile in drblsrv-offline instead of drblpush.
- add --just-cp-files for install-kernel-for-client, --extra-client-kernel-pkg for drblsrv-offline.
- drblsrv will download restricted modules in Ubuntu if /etc/init.d/linux-restricted-modules-common exists.
- depmod uses -b /tftpboot/node_root instead of chroot.
- add comment in drbl-function for create_depmod_env and clean_depmod_env

* Fri Nov 02 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.6-22
- do not copy /etc/selinux/targetd to client, since selinux is disabled in client, this will save about 40 MB space for each client in FC6.

* Thu Nov 02 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.6-21
- replace $newroot with $drbl_common_root (drblpush)
- won't write "KUDZU_ARGS=-q" again if it exists when running drblpush again.

* Thu Nov 02 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.6-20
- language file updated.
- client_services_chklist is put in drbl.conf instead of drblpush.
- bug fixed: In FC6 client, if different NIC is detected, ifcfg-ethx will be created with dhcp onboot=yes. We remove network or network-up service in client to avoid the ifcfg-eth0 with dhcp and onboot=yes re-generated by kudzu to take effect.

* Thu Nov 02 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.6-19
- bug fixed: in clonezilla box mode, if $ocsroot is /opt/foo, now client will not fail to use that.

* Wed Nov 01 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.6-18
- exclude some seldom kernel for Debian etch (drblsrv).

* Mon Oct 30 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.6-17
- add prompt to solve the problem when http://ftp.isu.edu.tw is used in CentOS.

* Mon Oct 30 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.6-16
- update language files and programs, some typos fixed.

* Mon Oct 30 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.6-15
- update prompt messages in drblpush.
- bug fixed: show only the latest glibc/openssl rpm if it's necessary to reinstall them (drblsrv-offline).
- add mysql in varlib_NOT_2_be_copied (drbl.conf).
- rm /etc/init.d/drbl-clients-nat when uninstall drbl in debian (drblsrv).

* Sun Oct 29 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.6-14
- add add/del option for drbl-all-service.
- update dcs with drbl-all-service.
- drblpush now use drbl-all-service to add and start DRBL-related services.

* Sat Oct 28 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.6-13
- bug fixed: if optimization CPU level is chosen, drblsrv will fail to download the kernel for client if server is i686. Now use linux-image-2.x.y-generic for i686, and linux-image-2.x.y-386 for i386.

* Thu Oct 26 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.6-12
- update language files.
- bug fixed: dcs should not clean any PXE host-based config file for all the case, only for some cases.

* Wed Oct 25 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.6-11
- update language files.
- FC6 released, so update rc.sysinit with FC6 (was from FC5.92)

* Wed Oct 25 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.6-10
- if /opt/drbl/conf/client-local-fstab exists, we will append the fstab to all client's /etc/fstab.
- change /etc/drbl/client-extra-service to /opt/drbl/conf/client-extra-service, now drblpush will read /opt/drbl/conf/{client-extra-service, client-append-fstab).
- rename /opt/drbl/conf/dcsrc to /opt/drbl/conf/dcsrc.example, avoid confusion.
- add drbl_setup_cfg="$DRBL_SCRIPT_PATH/conf" in drbl.conf.
- add "-b" when prompting run drbl-ocs again.
- update language files.

* Sun Oct 22 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.6-9
- increase the rsize and wsize to 65536 (was 8192) for NFS client parameters (init.drbl and gen_client_files.sh).

* Sat Oct 21 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.6-8
- put usage_details following usage so that it's easier to modify in drblpush.
- if $ocsroot is not under /home, or if $ocsroot is a mount point, we have to export it (drbl-nfs-exports and gen_client_files.sh)

* Fri Oct 20 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.6-7
- update the language files.

* Thu Oct 19 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.6-6
- use $ocs_lock_dir/clonezilla.lock instead of $drbl_syscfg/clonezilla.lock (ocs_lock_dir is /var/lock/clonezilla).

* Thu Oct 19 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.6-5
- format the output message for drbl-pxelinux-passwd.
- update language file.
- put $diskless_root_dir_1 and $diskless_root_dir_2 in drbl.conf instead of drblpush
- now we can assing clonezilla image dir when running drblpush.
- add parameter "-o|--clonezilla_home DIR" in drblpush.
- use $drbl_syscfg/clonezilla.lock instead of $ocsroot/clonezilla.lock.
- public_ip_list should be defined in drblpush, not drbl.conf.
- read ocsroot from drbl.conf as the default value when running drblpush.
- add glibc version and arch in bin/drbl-bug-report (for RH-like and Suse).

* Thu Oct 12 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.6-4
- switch-pxe-bg-mode more verbose when changing mode.
- add "switch-pxe-bg-mode" in dcs -> others.

* Thu Oct 12 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.6-3
- update the language file for mkswapfile in drblpush.
- if udev is found in the server, we won't try to see if dev and MAKEDEV rpm exist in the repository.
- For FC6, since start_udev uses udevtrigger now instead of udevstart, we add this in init.drbl "[ -x /sbin/udevtrigger ] && /sbin/udevtrigger".
- change "-i|--skip-client-kernel-install" to "-p|--skip-client-kernel-install" to avoid confusion with "drblsrv -i".

* Wed Oct 11 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.6-2
- use $DRBL_SCRIPT_PATH/sbin/drblpush instead of $DRBL_SCRIPT_PATH/setup/drblpush in dcs.
- bug fixed: we should read all the config parameters, those missing are: $client_root_passwd $client_pxelinux_passwd $clonezilla_box_mode $drbl_ssi_mode $account_passwd_length and $client_autologin_passwd. Hence "drblpush -c /etc/drbl/drblpush.conf" works now.

* Tue Oct 10 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.6-1
- update language files.
- now user can assign some directories in drbl.conf so that client will NFS mount it automatically.
- rewrite drbl-nfs-exports and gen_client_files.sh, make it more compact.
- this release is ready for CentOS 4.4, Ubuntu 6.10, Fedora Core 6 (use drblsrv-offline instead of drblsrv), and Mandriva 2007.0.

* Tue Oct 10 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.5-15
- update scripts in setup/files/default/.

* Tue Oct 10 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.5-14
- update some comments in drblsrv and drblpush.

* Tue Oct 10 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.5-13
- bug fixed: some directories should not be umounted when halt (CentOS 4.4).

* Tue Oct 10 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.5-12
- bug fixed: in CentOS 4.4, the mirrorlist query policy changes, we have to follow that in drblsrv.
- bug fixed: /tftpboot/node_root/var/lock/rpm/ is necessary for installing the kernel for client (install-kernel-for-client).

* Mon Oct 09 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.5-11
- bug fixed: For SuSE, actually the config file is in /etc/opt/kde3/share/config/kdm/kdmrc, therefore put /etc/ in the beginning in drbl-functions.

* Mon Oct 09 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.5-10
- only when /var/lib/{rpm,dpkg} exists, we will create /tftpboot/nodes/$ip/var/lib/{rpm,dpkg}. This fixed the bug that auto login account does not match the hostname when auto login is chosen in DRBL SSL mode.
- bug fixed: we should use the existing nisdomainname as the default value if it exists.

* Mon Oct 09 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.5-9
- remove unnecessary script sbin/modify_gdm_cfg_block.
- bug fixed: GDM_CFG & KDM_CFG should be queried to obtained by rpm or dpkg in drbl_ssi_client_prepare, and the auto login id now can match the hostname.
- init.drbl now will mount /var/lib/{dpkg,rpm} before running drbl_ssi_client_prepare if it's DRBL SSI mode.
- we show 3 different modes: Full DRBL mode, DRBL SSI mode and Clonezilla box mode when booting running init.drbl so that it won't confuse people why in Clonezilla mode, it still shows DRBL SSI mode.
- GDM_CFG, FAC_GDM_CFG and KDM_CFG are got in drbl-functions, no more set in drbl.conf.
- in dcs, -z3 is always the default one no matter it's ntfsclone or partimage.  Give more example, like sda, sda1 sda2 in clonezilla save.

* Sun Oct 08 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.5-8
- for NIS domainname, we will not use "localdomain" and "(none)" (drblpush).
- use a better method to select the kernel for clients in RH/MDK, now we can also choose the kernel running in the server if the CPU arch meets.

* Fri Oct 06 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.5-7
- make updates of urpmi in MDV2007 work.

* Thu Oct 05 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.5-6
- use dnsdomainname and nisdomainname to get the system setting in the server instead of parse_net_conf (drblpush).
- fixed the bug that client's gdm theme is not correctly set in the client (drblpush).
- default to show -j0 (off) in dcs (not -j) now, since now we change the create_part_by_sfdisk=yes as default.

* Thu Oct 05 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.5-5
- if domainname is "localdomain", we use default vaule: drbl.sf.net in drblpush.

* Thu Oct 05 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.5-4
- if required packages are not installed, it's possible to continue in drblsrv-offline.
- use apt/yum to uninstall package drbl when uninstalling.

* Wed Oct 04 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.5-3
- reiserfs program and ddrescue are not necessary programs (drbl.conf).
- add ramdisk_blocksize=1024 for client's kernel parameter in generate-pxe-menu (http://www.mail-archive.com/rhelv5-beta-list@redhat.com/msg00086.html), since in kernel 2.6.18, CONFIG_BLK_DEV_RAM_BLOCKSIZE=4096 in FC5.92 is too small for network initrd.
- For kernel 2.6.18, it seems if root is ro, all the mount later (such as /etc, /var) will be ro in init.drbl, so remount the root filesystem read-write in init.drbl.
- Do not set drbl theme GDM config in the server and drbl.spec, only for clients.
- add an option (set_drbl_gdmgreeter) in drbl.conf so that we can decide to set DRBL gdm greeting background for DRBL clients or not.
- If drbl SSI and clonezilla box is not set, template tarball won't be created when running drblpush.
- bug fixed: unable to get nisdomainname in parse_net_conf in FC.
- we can always set domainname and nisdomainname everytime when running drblpush.
- This release should work in FC6.

* Thu Sep 28 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.5-2
- bug fixed: list_available_rpm and list_available_deb fail for http repository.

* Thu Sep 28 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.5-1
- bug fixed: unable to find dm in Mandriva with check_dm.
- use "XFdrake --auto" in firstboot for MDV 2007.0.
- use grep -E '\.deb\>' & grep -E '\.rpm\>' instead of grep -E '\.deb$' & grep -E '\.rpm$' in list_available_deb list_available_rpm for ftp repository
- Some repo output DOS (CR/LF), convert to Unix format: sed# 's/.$//' in list_available_deb list_available_rpm.
- rewrite the method to add urpmi repository in mandriva, just use "--distrib --probe-synthesis"
- new upstream syslinux 3.31.
- for newer distribution, since no smp kernel package availalbe, we won't ask if client will use smp kernel or not.
- This version is beta release for Mandriva 2007.0 RC2 and Ubuntu 6.10 beta.

* Mon Sep 25 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.4-20
- turn on gpgcheck for all drbl-*.repo
- if more than one kernel rpm in repository, we can choose any one of them now.
- remove mkswapfile and drbl-nat.up.rules when uninstalling.
- delete useless script sbin/get_pxelinux_passwd.
- ask if want to use graphic pxe boot menu for clients.

* Sun Sep 24 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.4-19
- change #!/bin/sh to #!/bin/bash for language files.
- update output messages for gen_ssh_host_key.
- This release and clonezilla should work for Ubuntu Edgy (6.10) now.

* Sun Sep 24 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.4-18
- bug fixed: if /etc/rc2.d/S99[gk]dm does not exist in server, now it will be created in client, and we set it as S13[gk]dm for all debian-based distribution. Hence gdm/kdm starts earlier than before.
- add subtree_check and no_subtree_check for exports in drbl-nfs-exports
- move drblthincli to S12drblthincli for all debian-based distribution.
- new upstream syslinux 3.31-pre4.

* Fri Sep 22 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.4-17
- To avoid there is no input output in rc running, we add exec </dev/console >/dev/console 2>&1 in firstboot for DBN-TU. Thanks to Scott James Remnant (keybuk).
- move firstboot for Debian to rcS.d
- create /etc/inittab for client when using upstart.

* Thu Sep 21 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.4-16
- since Ubuntu edgy uses dash as the default sh (/bin/sh), to avoid error in dash, we use "> /dev/null 2>&1" instead of "&>/dev/null" in perl (drblpush)
- if "drblsrv-offline -i", we still create the NBI.
- add usplash as client service in ubuntu or debian.
- check if the dm exists or not before set that for client, if not, show warning.
- this is an alpha release for Ubuntu Edgy. (Clonezilla is not ready for edgy).

* Wed Sep 20 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.4-15
- change the #!/bin/sh to #!/bin/bash in /opt/drbl/setup/files/*

* Wed Sep 20 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.4-14
- change the #!/bin/sh to #!/bin/bash in /opt/drbl/{bin,sbin}/*

* Tue Sep 19 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.4-13
- reset some stale status (such as stop clonezilla), since maybe drblpush is run again.
- if pxelinux passwd is not set, will force to disable to avoid the stale setting.

* Tue Sep 19 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.4-12
- new upstream syslinux 3.30.

* Sun Sep 17 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.4-11
- new upstream syslinux 3.30-pre10.

* Sat Sep 16 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.4-10
- Set the color for unselected menu item and timout message in PXE boot menu.

* Sat Sep 16 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.4-9
- new upstream syslinux 3.30-pre9.

* Fri Sep 15 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.4-8
- Now clonezilla can not be multi-image, so it will be a mess if just stop some clients. Therefore if IP_LIST exists, we still stop all the clonezilla process.
- In debian unstable, the mountnfs.sh from initscripts 2.86.ds1-19 or later use the same skill with waitnfs.sh, so we use the same way to fix the NFS problem.

* Thu Sep 14 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.4-7
- update the drbl-pxe.png and RELEASE-NOTES. 

* Thu Sep 14 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.4-6
- update the drbl-pxe.png.

* Wed Sep 13 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.4-5
- new upstream syslinux 3.30-pre5.
- default to use vesamenu.c32 instead of menu.c32.
- check if necessary packages are installed when using apt-get install in drblsrv.

* Tue Sep 12 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.4-4
- change the filename in drbl*.repo, gpgkey=http://drbl.nchc.org.tw/GPG-KEY-DRBL (was gpgkey=http://drbl.nchc.org.tw/RPM-GPG-KEY-DRBL)

* Mon Sep 11 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.4-3
- bug fixed: we should choose advanced parameters, then to see if it's necessary to choose the image name (if -u, not necessary) in dcs.

* Sun Sep 10 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.4-2
- when using dcs to swith client's mode,  keep the way pxelinux config menu is, just change the default mode, not not reset to default (3 menus).
- bug fixed: parse host client (-h) error in drbl-powerful-thin-client
- in dcs, If the mode is autologin or timed login graphic mode, we should switch to graphic mode first.

* Sun Sep 10 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.4-1
- use drblsrv-offline in drblsrv.
- update the language files.
- add options -a|--no-prompt-different-arch-pkgs, -c|--no-required-pkgs-check and -i|--skip-client-kernel-install in drblsrv-offline.
- bug fixed: "-p true" description missing in dcs.
- find the etherwake/ether-wake program first in drbl-doit. For FC: ether-wake, for Debian: etherwake.
- Bug fixed: in Mandrake 10.0, for init.drbl, we put dev.tgz as the first priority, higher than udev, so that if necessary, such MDK 10, we can force to use dev.tgz instead of udev. (Since in MDK10, there is /sbin/udev, but no /sbin/udevstart or /sbin)

* Mon Sep 04 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.3-2
- make the i386/i586 glibc prompt more specific in drblsrv-off.

* Wed Aug 30 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.3-1
- add scripts create_pxe_nbi_files and prepare_files_for_PXE_client so that it's easier to reuse them.
- use $PKG_FROM_RH, $PKG_FROM_MDK, $PKG_FROM_SUSE, $PKG_FROM_DBN, $PKG_TO_QUERY, $PKG_FROM_DRBL in drblsrv and drbl.conf
- add drblsrv-offline (only works for kernel 2.6 (udev)) and install-kernel-for-client. Now we can install the necessary packages by any means then run "drblsrv-offline" to configure the server. Check /opt/drbl/doc/examples/drblsrv-offline*.txt to see how to use it. For paramaters of drblsrv-offline, use "drblsrv-offline --help" to get them. Note! You still have to run "/opt/drbl/sbin/drblpush -i" after drblsrv-offline.
- when local kernel in the server is chosen, we force to use the KARCH from the server, otherwise maybe the kernel in the repository has different CPU arch.
- use "dpkg -L drbl &> /dev/null" instead of "dpkg -s drbl &> /dev/null" to check if drbl deb is installed or not.
- add "-p poweroff" for clonezilla in dcs.
- move "perl -p -i -e "s/^[[:space:]]*set -e.*/#set -e/g" /etc/init.d/tftpd-hpa"
from drblsrv to drblpush.

* Sun Aug 27 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.2-13
- new upstream syslinux-3.20.

* Fri Aug 25 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.2-12
- create /etc/ethers and update the arp data before send wake-on-LAN packets in drbl-doit.

* Thu Aug 24 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.2-11
- update language files.
- default to turn off -hn0 in dcs. 

* Thu Aug 24 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.2-10
- update language files.

* Thu Aug 24 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.2-9
- correct some typos in language files.

* Thu Aug 24 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.2-8
- add message for ntfs-3g or nfsmount is necessary when -hn0/-hn1 is on in dcs.
- update language files.

* Wed Aug 23 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.2-7
- create directory $POST_RUN_DIR in drbl-ocs instead of drblsrv.

* Wed Aug 23 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.2-6
- update RELEASE-NOTES. 

* Wed Aug 23 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.2-5
- update RELEASE-NOTES and Known_issues.txt.

* Wed Aug 23 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.2-4
- add "-o" in dcs for clonezilla.
- default to turn off -j in dcs when using clonezilla restoring.
- create the dir for clonezilla post run when clone finishes in drblsrv.
- new upstream syslinux-3.20-pre19.
- do not remove the kernel deb in /var/cache/apt/archives since our search result is unique enough in drblsrv (for Debian based).
- add drbl-bug-report so it's easier to get info to debug.
- use etherwake (if it exists and run by root) for the higher priority than wakeonlan.

* Sun Aug 13 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.2-3
- add drbl-chntpw as the necessary package for DRBL.

* Sat Aug 12 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.2-2
- default to turn on -j in dcs when using clonezilla restoring.

* Sat Aug 12 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.2-1
- add gpgkey in drbl*.repo.
- use drbl_yum_repo_list in drbl.conf and drblsrv.
- update language files.
- new upstream syslinux-3.20-pre11.

* Tue Jul 18 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.1-18
- fixed the typos in language files.

* Tue Jul 18 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.1-17
- supress some error messages in mkswapfile for read-only filesystem.
- dcs only update the DRBL SSI image when DRBL SSI mode is on

* Sun Jul 16 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.1-16
- add file start-srv-after-ifup to be called by waitnfs.sh.

* Sun Jul 16 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.1-15
- update RELEASE-NOTES.

* Sun Jul 16 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.1-14
- new upstream syslinux-3.20-pre10.

* Sat Jul 15 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.1-13
- update language files for clonezilla.
- add -j in dcs for clonezilla.

* Thu Jul 13 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.1-12
- echo line feed when mounting nfs in waitnfs.sh.
- add initscripts as a necessary package in Debian/Ubuntu, just in case.

* Wed Jul 05 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.1-11
- fix the bug that mountnfs.sh is not run before waitnfs.sh in dapper.

* Wed Jul 05 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.1-10
- remove lzop when uninstalling.
- use language file for balcklist of yum repository.
- stop clonezilla when uninstalling.
- fix the bug that mountnfs.sh is not run before waitnfs.sh

* Sat Jul 01 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.1-9
- fix the wrong version in changelog.

* Thu Jun 29 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.1-8
- the mount point for restricted modules should be created in server, not in client.

* Thu Jun 29 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.1-7
- add bin/get-rpm-list-from-yum
- create the mount point for restricted modules in dapper.

* Wed Jun 28 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.1-6
- add yum_repo_blacklists to avoid some uncompatible yum repository.

* Tue Jun 27 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.1-5
- update language files and prompts.

* Tue Jun 27 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.1-4
- bugs fixed: fails to get kernel for clients based on get_inst_rpm.

* Mon Jun 26 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.1-3
- when put file into user's home in drbl-fuu, chown only change mode for target files.

* Mon Jun 26 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.1-2
- update language files.

* Mon Jun 26 2006 Steven Shiau <steven _at_ nchc org tw> 1.7.1-1
- Use lftp for http/ftp instead of lynx in list_available_rpm and list_latest_rpm, since (1). For some apache2, "lynx -dump" will get the html format instead of plain text (2). lynx does not respect environment variables http_proxy and ftp_proxy.
- list_latest_rpm now is based on list_available_rpm.
- use curl to get the baseurl from mirrorlist in find-url-in-yum-set since it respects environment variables http_proxy and ftp_proxy.
- mostly use get_inst_rpm instead of rpm -Uvh ...

* Tue Jun 13 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.6-25
- use yellow for warning/prompt, red for fail in drblpush.
- drbl-collect-mac now uses language files info.

* Tue Jun 13 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.6-24
- split -y option to -y0 and -y1 so that the default PXE menu can be assigned in dcs.

* Mon Jun 12 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.6-23
- update prompt to show the collected MAC files are located in /etc/drbl.

* Mon Jun 12 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.6-22
- install lzop also.
- import pub GPG keys for Mandrake/Mandriva.
- use "--auto --force" for urpmi.

* Mon Jun 12 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.6-21
- bug fixed: when drbl-ssi is off, we should ask clonezilla box mode also in dcs.
- let image and device name can be inputted again in dcs.

* Sat Jun 10 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.6-20
- now dcs can read ~/.dcsrc for pre-setting value, and an example is put in /opt/drbl/conf/dcsrc.
- make -x and -g auto on when start clonezilla in dcs.

* Sat Jun 10 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.6-19
- update the language file for -u and -y under clonezilla in dcs.
- -y now can work with multicast in dcs.

* Thu Jun 08 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.6-18
- bug fixed: in Mandrake 9.2, nfs daemon counts "NFSDCOUNT" can not be found in drbl-nfs-exports.

* Thu Jun 08 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.6-17
- update echos to avoid confision in mknic-nbi.

* Thu Jun 08 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.6-16
- update some variables and echos to avoid confision in mknic-nbi.

* Thu Jun 08 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.6-15
- install lvm2 if it's found in repository

* Tue Jun 06 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.6-14
- now the advanced parameters and compression parameters will be shown directly to user without asking if want to skip or not in dcs.
- default to use ntfsclone when saving image in dcs.
- when ntfsclone is chosen, and lzop is available, -z3 is the default in dcs.

* Mon Jun 05 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.6-13
- show "-r" option for clonezilla in dcs.

* Sun Jun 04 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.6-12
- new upstream syslinux 3.20-pre9.

* Sat Jun 03 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.6-11
- For Fedora Core 5 with x86_64 arch, all kernels have SMP support, even though the name will not contain smp.

* Fri Jun 02 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.6-10
- bug fixed: -a is missed in dcs/clonezilla-start/save

* Thu Jun 01 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.6-9
- copy all /lib/security/* to client, no matter client's /lib/security dir exists or not, otherwise maybe client won't able to login.

* Wed May 31 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.6-8
- add -a, -nogui, and -v for clonezilla advanced parameters in dcs.
- bug fixed: when restoring partitions, client partitions are wrongly parsed in dcs.

* Mon May 29 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.6-7
- add description how to reconfigure X (firstboot) in debian.
- update dcs and language files for ntfsclone and lzo options.
- install drbl-ntfsprogs.

* Thu May 25 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.6-6
- if no local file system is mounted, then do not run umount -r -d in Dapper /etc/init.d/umountfs.

* Thu May 25 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.6-5
- update some echo messages and package description.
- turn on bootmisc.sh in Debian for client rcS.d so that runlevel can get the init level by reading /var/run/utmp, and to avoid /etc/nologin to be created by set DELAYLOGIN=no in client's /etc/default/rcS.
- turn on service linux-restricted-modules-common in client in Ubuntu.

* Wed May 24 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.6-4
- use "beginner, medium and expert" instead of "low, medium and high" in firstboot of Debian.

* Wed May 24 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.6-3
- xorg.conf md5sum should be created in /var/lib/x11/xorg.conf.md5sum, not /var/lib/xfree86 in Dapper.
- rewrite firstboot for Debian 3.0, 3.1, Testing/Unstable, and now it will ask the questions level before reconfiguration.

* Wed May 24 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.6-2
- a workaround for SMP kernel selection in Ubuntu Dapper.

* Wed May 24 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.6-1
- ready for Dapper, alpha release.
- make client can use i486 kernel in Dapper, although the kernel image linux-image-2.6.15-23-386_2.6.15-23.39_i386.deb (Dapper beta) -> the name implies 386, but actually it's 486.

* Tue May 23 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.5-6
- in OpenSuSE 10.1, xfs need account nobody, which only exists in YP, so we have to make xfs runs after ypbind.
- Do not umount -t tmpfs when rebooting in SuSE.

* Mon May 22 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.5-5
- network service in OpenSuSE 10.1 is added, so it will be easier to config 2nd network interface card in client.

* Mon May 22 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.5-4
- bug fixed: the repository URL is wrong in opensuse10.0.
- New way to find a sutiable kernel (both in update and release) in SuSE.

* Mon May 22 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.5-3
- bug fixed: /dev/console and /dev/null are not created in OpenSuSE 10.1.
- bug fixed: haldaemon (which needs some *.so in /opt/, /usr) is started before nfs.
- add touching /var/lib/nfs/state for client.

* Sun May 21 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.5-2
- remove umount /sys fail message is shown when reboot or shutdown.
- bug fix: unable to login console in client in OpenSuSE 10.1.

* Thu May 18 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.5-1
- ready for OpenSuSE 10.1, alpha release.
- add powersaved in the client checklist in drblpush for OpenSuSE 10.1.

* Wed May 17 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.4-6
- update language files.

* Tue May 16 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.4-5
- show the OS url to debug when kernel is not available in drblsrv.
- update the language files.

* Tue May 16 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.4-4
- Terminate drblsrv if no kernel is available, show some messages also.

* Tue May 16 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.4-3
- new upstream syslinux 3.20-pre8.
- fix the bug that kdebase3-kdm is not listed to find KDM_CFG in SuSE.
- supress the warnings about socket files in /var/ in gen_ssi_files.
- make $drbl_common_root/drbl_ssi/template_*.tgz can read by root only, better security.
- bug fixed: unsable to find the right path for CentOS mirrorlist in find-url-in-yum-set.
- bug fixed: unable to get yum repository URL and path for find-url-in-yum-set in FC5.

* Mon May 8 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.4-2
- update the language files.
- update release notes and other docs.
- if multicast, ask the time_to_wait, clients_to_wait in dcs.
- rewrite code to use funtions do_clonezilla_save_dev and do_clonezilla_restore_dev in dcs.

* Mon May 8 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.4-1
- update AUTHORS, Changelog.
- remove save & restore hda1 menu in dcs.
- add function countdown.
- add "-p true" in dcs.

* Wed May 8 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.3-21
- bug fixed, $KDE_CFG now can be found correctly in OpenSuSE 10.0.

* Sun May 7 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.3-20
- copy $etherboot_pxe to /tftpboot/nbi_img, too.
- put deprecated message in dcs for clonezilla save/restore hda1, we will remove save & restore hda1 menu in the future release.

* Mon May 1 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.3-19
- bug fixed: dynamically get DHCPDLEASE_DIR, since it changed from FC5.

* Mon May 1 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.3-18
- update comment in init.drbl
- comment the /dev/fd0 in client's /etc/fstab, let user to handle that if it is necessary. If it's not commented, it will cause problem in newer GNU/Linux.

* Fri Apr 21 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.3-17
- use better method to get kernel image name in debian

* Thu Apr 20 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.3-16
- update netinstall description in dcs.
- bug fixed: unable to clean normal user account in common root. 

* Wed Apr 19 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.3-15
- KARCH_LIST will be nothing if we can not find the kernel config file, so we choose to use the same arch of server for client in Debian.

* Mon Apr 17 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.3-14
- start arm-wol when client boots, not before it poweroffs.
- add installation for package etherwake/ether-wake.

* Thu Apr 13 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.3-13
- fix the bug for unable to put the auto/timed login account in gdm custom.conf.

* Thu Apr 13 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.3-12
- use a better method to decide the kernel name is debian.
- make KDM_CFG search better.

* Wed Apr 12 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.3-11
- minor bug fixed: In SSI mode, some of the client IP addresses won't be shown in the hosts.deny warning message.

* Wed Apr 12 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.3-10
- minor bug fixed.

* Tue Apr 11 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.3-9
- fix the bug for unable to clean fedora-core.repo when uninstalling.

* Tue Apr 11 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.3-8
- add suggestion to defrag NTFS filesystem in language files for clonezilla.

* Tue Apr 11 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.3-7
- Ready for Ubuntu Breezy amd64

* Mon Apr 10 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.3-6
- /mnt for client now is tmpfs, which will allow Mandriva to mount cdrom automatically.

* Sat Apr 8 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.3-5
- fix the bug for undefining the $FC_CORE_REPO
- make drblsrv work with CentOS new mirrorlist method.

* Fri Apr 7 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.3-4
- create console and null only if /dev/{console,null} not exists

* Fri Apr 7 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.3-3
- update RELEASE.
- add -nu option for mknic-nbi to exclude the USB keyboard related modules.

* Fri Apr 7 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.3-2
- do not run post in drbl.spec, modify preun.

* Fri Apr 7 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.3-1
- do not use create_authconfig_env, modify client's /etc/nsswitch.conf directory in RH/FC.
- ready for fedora core 5.

* Wed Mar 29 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.2-14
- make terminal mode unaviaiable in dcs when in clonezilla box mode.

* Tue Mar 28 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.2-13
- fix the bug that arm-wol is not on when running drblpush.

* Tue Mar 28 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.2-12
- stop the nfs and yp services then remove the setting when uninstalling.

* Tue Mar 28 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.2-11
- add ethtool in the pacakge list to be installed.
- modify the method to filter CPU arch since only k7-smp and i686-smp exist in Debian.

* Mon Mar 27 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.2-10
- add arm-wol to let client arm Wake on LAN before it poweroffs.

* Mon Mar 27 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.2-9
- do not using option "--drbl-ssi" of drbl-nfs-exports in drblpush, since it's no more in drbl-nfs-exports. 

* Mon Mar 27 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.2-8
- use FULL_OS_Version="Debian Testing-Unstable" for Debian Etch.

* Mon Mar 27 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.2-7
- exclude tmpfs|none when rebooting in etch.

* Mon Mar 27 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.2-6
- fix the bug that /var/lib/rpm instead of /var/lib/rpm is monted in debian when rpm is installed.

* Mon Mar 27 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.2-5
- polish codes in drblpush.

* Mon Mar 27 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.2-4
- modify /etc/X11/gdm/factory-gdm.conf only if it exists.
- polish codes in drblpush.

* Mon Mar 27 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.2-3
- fix a bug where no path for umountfs for Etch in drblpush.

* Mon Mar 27 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.2-2
- add drbl-etc-hosts in drbl-3n-conf to update client's /etc/hosts.
- make init.drbl work with udev in Etch where no udevstart exists.
- drblsrv and drblpush work in Debian Etch.

* Sun Mar 26 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.2-1
- add openssl-perl arch check and install for CentOS 4.3
- initial release for CentOS 4.3

* Sun Mar 26 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.1-10
- use drbl-etc-hosts to create /etc/hosts.

* Sat Mar 25 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.1-9
- fix some typos in language files.

* Sat Mar 25 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.1-8
- do not restart YP before drbl-all-service restart in drblpush.

* Fri Mar 24 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.1-7
- do not export /tftpboot/nodes/$IP if it does not exist (drbl-nfs-exports).
- fix the bug for unable to get drbl_ssi_mode in drbl-nfs-exports.

* Fri Mar 24 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.1-6
- rm /var/lib/nfs/rmtab to avoid a long time try when restart NFS
- set the NFS daemon number setting in drbl-nfs-exports
- move code about NFSD_RATIO to drbl-nfs-exports
- add bin/get-necessary-nfsd-no

* Fri Mar 24 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.1-5
- remove -i in halt* to avoid network down. Need this for Wake on LAN before shutdown.
- fix the bug for showing prompt to run drbl-ocs again.
- add wake on LAN prompt.
- make drbl-3n-conf only work in drbl SSI mode.

* Thu Mar 23 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.1-4
- fix the bug that IP fixed to eth0, eth0:1 for drbl-yp-securenets
- do not remove fastboot when client boots.
- add # Modified by DRBL in some modified scripts.
- rewrite some codes and file arch: use files/{RH,FC,MDK,MDV,DBN...}/ directory arch.
- add drbl-3n-conf in dcs.

* Wed Mar 22 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.1-3
- Generate the ssh hostkey for the template so that client won't have to generate in DRBL SSI mode.
- fix the bug for unable to set swap file size in client.

* Tue Mar 21 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.1-2
- update with syslinux 3.20-pre7
- use drbl-nfs-exports instead of code in drblpush to create /etc/exports in server

* Mon Mar 20 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.1-1
- make some management scripts in sbin work with DRBL SSI by using /opt/drbl/bin/get-client-ip-list instead of "for i in $drblroot/*"
- drbl_ssi_client_prepare will prepare the autologin/timedlogin ID in gdm/kdm config.
- rename drbl-user-env-switch as drbl-user-env-reset
- drbl-user-env-reset replace autologin-home-reset-from-server
- add --no-gen-ssi when run some scrtips.
- now we can choose DRBL SSI in drblpush.

* Wed Mar 15 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.0-16
- add option to turn on/off clonezill_box_mode in /etc/drbl/drbl_deploy.conf
- add -f for cp -a in copy_rc1d_for_drbl_ssi and remove_rc1d_for_drbl_ssi

* Tue Mar 14 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.0-15
- modify boot.rootfsck, we comment "mount -f /" to avoid / be mounted twice in SuSE.

* Tue Mar 14 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.0-14
- add drbl-ssi in dcs.

* Mon Mar 13 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.0-13
- create an empty dir /etc/X11 when in clonezill box so that kudzu will not complain about no /etc/X11 to write X config.

* Mon Mar 13 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.0-12
- use yellow instead of red for single in init.drbl.
- comment "mount -f /" in rc.sysinit of clients for RH-like.

* Mon Mar 13 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.0-11
- Put a tag for FC3 or newer so that rc.sysinit will know it's a readonly root. Put an empty file so rc.sysinit won't complain ($drblroot/$ip/etc/rc.readonly)

* Sun Mar 12 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.0-10
- bug fixed, when drbl deb is created, not by alien, we can put dependances. therefore the tftp is installed with default on /etc/inetd.conf, not standalone daemon. We have to turn off it in client, use perl, not update-inetd.
- bug fixed for get-client-ip-list, now the IP in range should be got correctly.
- add an option to exclude xorg.conf/XF86Config/XF86Config-4 in gen_ssi_files
- add more options for turn-drbl-ssi-mode 
- Comment nfs / in fstab of clients, it's not necessary, otherwise it will mount twice.
- since in busybox 1st stage, client will mount /tftpboot/node_root, not /tftpboot/$ip, so "ln -fs $drbl_common_root /tftpboot/$ip" is not necessary.

* Fri Mar 10 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.0-9
- fix the bug that when in English, dcs fails.

* Fri Mar 10 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.0-8
- bugs fixed: (1) unable to set client's root passwd (2) /tftpboot/nodes/$IP is not exported when in normal mode.

* Fri Mar 10 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.0-7
- add a mechanism to check if class A/B is used, if so, set warning if multicast clonezilla used.

* Thu Mar 09 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.0-6
- bug fixed: total_client_no_for_checking is not assigned.

* Wed Mar 08 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.0-5
- add ssh public key for client root so that we can run drbl-doit.
- refine drbl_ssi_client_prepare.

* Wed Mar 08 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.0-4
- polish drbl4imp.
- let /opt/drbl created from tarball when in clonezilla box.
- exclude some graphic applications settting in /etc when in DRBL SSI mode.

* Tue Mar 07 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.0-3
- make system upgrade option default is "NO".
- turn off ntp when client is in clonezilla box mode.
- If hostname is found in /etc/hosts, use that in DRBL SSI client.
- add option "-z|--clonezilla_box" in drbl4imp, so now "drbl4imp -z y -p 50" will create a clonezilla box server serving 50 clonezilla clients..

* Mon Mar 06 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.0-2
- update langauge file.
- export /var/lib/{rpm,dpkg} and /var/spool/mail when it's DRBL SSI, but when client is in clonezilla box and rc1.d, client won't mount them.
- mv "-g auto" ealier in dcs.

* Mon Mar 06 2006 Steven Shiau <steven _at_ nchc org tw> 1.6.0-1
- fix the bug that when run drbl-all-service restart, drbl-clients-nat does not restart in debian-based dists.
- mv copy_rc1d_for_drbl_ssi & remove_rc1d_for_drbl_ssi from ocs-functions to drbl-functions.
- add "-p" option for gen_ssi_files.
- add clonezilla box mode.
- drbl-doit now get IP list from dhcpd.conf instead of /tftpboot/nodes/*.

* Sat Mar 04 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.8-5
- improve init.drbl and use drbl_ssi_client_prepare, make it modify client hostname and yp server dynamically.

* Fri Mar 03 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.8-4
- For debina based, back convert x86-64 to x86_64 for menu parse, since alien convert x86_64 to x86-64 in generate-pxe-menu.
- fix the bug for gen_ssi_files.

* Thu Mar 02 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.8-3
- update the know issue doc.

* Thu Mar 02 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.8-2
- add $sis900_zpxe, since all-in-one pxe image sometimes does not work for sis900 NIC.

* Thu Mar 02 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.8-1
- add a workround for sis900, thanks to Alexander Heinz for providing this solution in syslinux mailing list.
- add necessary package file.
- add drbl single system image SSI files (Not ready yet).

* Sat Feb 25 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.7-8
- use better way to detect if partimage-server is installed.

* Sat Feb 25 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.7-7
- Alien does not make obsoletes in RPM spec to deb. Now remove obsolete packages when install packages for debian. Especially partimage-server in B2D. Since partimaged is in DRBL partimage.

* Fri Feb 24 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.7-6
- put Obsoletes partimage-server in partimage instead of drbl. 

* Fri Feb 24 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.7-5
- refine drbl-doit.
- put partimage-server in Obsoletes.

* Sun Feb 19 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.7-4
- not so verbose when adding user to device group in Debian.
- add language support for drbl-login-switch.
- add language option for gen_client_files.sh.

* Sat Feb 18 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.7-3
- add an option to set the pause time (secs) after network card is up. This is specially for some switch which need extra time to link, check https://sourceforge.net/forum/message.php?msg_id=3583499 for more details.

* Sat Feb 18 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.7-2
- refine drbl-login-switch.
- fix the bug that when random password is chosen, the /etc/drbl/auto_login_id_passwd.txt is not created.

* Sat Feb 18 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.7-1
- client IP will skip the one server using.
- AUTO_LOGIN_ID_PASSWD file is in /etc/drbl/auto_login_id_passwd.txt, no more in working directory when run drblpush or drbl-login-switch.
- if password_opt is assigned, drbl-login-switch will force to set the password for client.
- fix a bug when no client-IP-group-* or client-MAC-group-* exists, dcs still shows client-IP-group-* or client-MAC-group-*.
- add acpid and acpi-support for clients for Ubuntu.

* Sun Feb 12 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.6-29
- /tftpboot/nodes/$IP/node_root/dev/{console,null} are character special files, force to remove it before creating them in the clients.

* Sun Feb 12 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.6-28
- remove mode "remote-linux", only remote-linux-gra and remote-linux-txt left in dcs. Force to write the right /etc/inittab of clients when switching to remote-linux-gra or remote-linux-txt.

* Sat Feb 11 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.6-27
- change the hdparm from S42 to S60 (which is far after S41force-load-ide so we can access IDE device after IDE-related modules are loaded and ready).

* Fri Feb 10 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.6-26
- fix a bug, remove an extra ) in init.drbl.

* Fri Feb 10 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.6-25
- fix the bug for unable to get the IP address when there is alias IP address in init.drbl.

* Mon Feb 06 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.6-24
- update some prompts in init.drbl.

* Sun Feb 05 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.6-23
- add echo for mounting /etc /var /usr in init.drbl.

* Sat Feb 04 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.6-22
-  mknod console and null in common root dev directory, so now in Debian no more "Warning: unable to open an initial console."

* Thu Feb 02 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.6-21
- update init.drbl so that when booting, some service will not complain /initrd is busy (/initrd/proc and /initrd must be umount in order).

* Wed Feb 01 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.6-20
- fix the parameter HOST_MAC_TABLE bug.
- move select_hosts from /opt/drbl/bin to /opt/drbl/sbin
- add client group support, now we just have to put files like /etc/drbl/client-{MAC,IP}-group-{1-9} (listed line by line) then we can select in dcs.
- fix a bug that Mandriva 2006.0 OS_Version is parsed wrong.

* Tue Jan 31 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.6-19
- default is not to restart NFS in dcs.

* Tue Jan 31 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.6-18
- update language file.

* Mon Jan 30 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.6-17
- change the hdparm from S07 to S42 (which is after S41force-load-ide so we can access IDE device after IDE-related modules are loaded) for Debian.

* Mon Jan 30 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.6-16
- Create a dummy NIC conf file so that hotplug won't complain no NIC config in Debian.

* Mon Jan 30 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.6-15
- use new program tune-debian-dev-group-perm instead of tune-debian-audio-plugdev-perm.

* Sun Jan 29 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.6-14
- gdmgreeter maybe in /usr/bin/gdmgreeter (sarge) or /usr/lib/gdm/gdmgreeter (breezy)

* Sun Jan 29 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.6-13
- create an empty network/interfaces for client so that hotplug won't complain that in Debian or Ubuntu.

* Sun Jan 29 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.6-12
- add file get_mac so that we can get the NIC MAC address.

* Thu Jan 26 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.6-11
- add .x86_64 for those packages in opensuse 10.0 x86_64 version.

* Sat Jan 21 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.6-10
- add "reiserfs" extra option for fedora netinstall.

* Fri Jan 20 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.6-9
- polish drbl-doit.

* Fri Jan 20 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.6-8
- update syslinux 3.20-pre6.
- we should use "wakeonlan -i $IP $MAC" to send WOL message so that any client in any ethernet port will be waked.
- update with wakeonlan version 0.41 from Jose Pedro Oliveira <jpo at di.uminho.pt>.

* Mon Jan 16 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.6-7
- reset OS variables in drbl-functions.

* Mon Jan 16 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.6-6
- make pxelinux menu show Ubuntu if it's Ubuntu.

* Fri Jan 13 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.6-5
- fix the bugs that dhcp3-server and tftpd-hpa is not on after reboot the Debian server.

* Wed Jan 11 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.6-4
- update dcs with new netinstall format.

* Tue Jan 10 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.6-3
- add fedora legacy repository in apt repository example.
- use another method the get RH VER in check_distribution_name of drbl-functions to avoid the segmentation fault in RH9.

* Mon Jan 09 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.6-2
- update syslinux 3.20-pre4.
- fix a bug for unable to tell CentOS 4.0/4.1/4.2 in drbl-functions.
- use $FULL_OS_Version instead of short name (OS_Version).

* Sun Jan 08 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.6-1
- fit the new netinstall package name "netinstall-$dist-$ver-$arch" in generate-pxe-menu and drblsrv.
- use a better method to get OS_Version in check_distribution_name of drbl-functions.

* Sat Jan 07 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.5-33
- force to create DRBL B2D client's /media, but for other distributions, we will
test it before create it.

* Sat Jan 07 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.5-32
- rc.boot should be in $ihost/etc/rc.boot/ in tune-debian-audio-plugdev-perm
- B2D pureGnome 20051212 does not have hotplug* in rcS.d, but pureKDE has. Anyway, for to link them in rcS.d.
- since B2D does not have /media, but it will create and use that once you plug the usb devices, so now we decide to mkdir media for client anyway.

* Wed Jan 04 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.5-31
- correct typo in drbl-client-switch
- move total_nfsd calculation into drbl_server_parse in drblpush so that -c will work.

* Wed Jan 04 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.5-30
- minor bug fixed in check_switch_on_off() of drbl-functions. 

* Tue Jan 03 2006 Steven Shiau <steven _at_ nchc org tw> 1.5.5-29
- fix the typo in comments "drbl-testin" -> "drbl-testing"
- autologin account's group and home directory is queried from system in autologin-home-reset.
- add a function in dcs: reset-autologin-account

* Mon Dec 19 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.5-28
- Typo issue!!! NFS daemon number in RH-like shoule be RPCNFSDCOUNT instead of RPPPCNFSDCOUNT For Mandrake 9.2-10.1, we should use NFSDCOUNT.

* Fri Dec 16 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.5-27
- modify tune-debian-audio-plugdev-perm:
- check if pmount and pumount exits before chgrp
- deal with dev tarball /dev/mixer* /dev/dsp*

* Thu Dec 15 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.5-26
- In Debian, drbl-nat-rules should start in runlevel 2 3 4 5 to let B2D work.

* Wed Dec 14 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.5-25
- chgrp /usr/bin/pumount in tune-debian-audio-plugdev-perm, thanks to Cass Evert.

* Sun Dec 11 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.5-24
- typo fixed in language file bash/en.

* Sun Dec 11 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.5-23
- update language files. 

* Sun Dec 11 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.5-22
- do not prompt restart message after tune-debian-audio-plugdev-perm if drbl clients exist.
- update language files. 

* Sun Dec 11 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.5-21
- use tune-debian-audio-plugdev-perm in drblpush.

* Sun Dec 11 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.5-20
- add /opt/drbl/sbin/tune-debian-audio-plugdev-perm so that it's easier to open plugdev and audio to all users in the DRBL Debian client.

* Sat Dec 10 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.5-19
- update the comments for kernel 2.6.13-15-default issue.

* Sat Dec 10 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.5-18
- add bugzilla prompt for kernel 2.6.13-15-default issue.

* Sat Dec 10 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.5-17
- Force to stop drblsrv if SuSE/OpenSuSE 10.0 is running with kernel 2.6.13-15-default, since it is BUGGY! 

* Sat Dec 10 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.5-16
- add warning about SuSE/OpenSuSE 10.0 with kernel 2.6.13-15-default is BUGGY 

* Thu Dec 8 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.5-15
- update language files for ocs-onthefly.

* Sat Dec 3 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.5-14
- update language files for ocs-onthefly.

* Thu Nov 24 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.5-13
- check if kernel 2.6 is running in sarge.
- add nc or netcat package as a necessary package for ocs-onthefly.

* Wed Nov 11 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.5-12
- fixed some comment typos.

* Wed Nov 09 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.5-11
- add lynx installation first in Mandriva.
- move lynx and lftp in SuSE ealier.
- add lftp installation with lynx for all RPM distributions.

* Sun Nov 06 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.5-10
- fix typos in drblpush.
- add necessary packages coreutils gzip bzip2 since we now use cat/zcat/bzcat in clonezilla.

* Sat Nov 05 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.5-9
- add PATH=$PATH:/sbin/:/usr/sbin before running route -n.

* Sat Nov 05 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.5-8
- add /sbin:/usr/sbin in the PATH in bin/get-nic-devs and bin/get_network.

* Wed Nov 02 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.5-7
- fix the bug that unable to change client's root passwd in server in SuSE.
- tune the boot.idedma/force-load-ide/parse-load-mod-suse for SuSE.
- client won't run ld.config (turn off /etc/init.d/boot.ldconfig and comment the ld.config in /etc/init.d/nfs).

* Mon Oct 31 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.5-6
- update some PAM necessary lib in create_chpasswd_env in drbl-functions.

* Mon Oct 31 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.5-5
- add mkinitrd-net removal in Debian.

* Sun Oct 30 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.5-4
- add yast2 -i yum and copy drbl*.repo/opensuse.repo to /etc/yum.repos.d/
- fix a bug that only i586 glibc will be installed.

* Sun Oct 30 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.5-3
- finished parsing yum repository then force to install kernel or i586 packages (glibc...)

* Sat Oct 29 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.5-2
- remove powersaved in SuSE DRBL client, let user add that by themselves.
- for SuSEs, in nfs of client, we have to recreate ld.so.cache since /etc/init.d/boot.ldconfig is run before nfs. It won't include some remote NFS directory (like /opt/kde/lib... /opt/gnome/lib...

* Sat Oct 29 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.5-1
- update the MENU LABEL for OpenSuSE, we should use sed -e before SuSE in generate-pxe-menu.
- use "uname -m" to set x86_64/amd64/i386 for all the distributions.
- add ssh can be accessed in SuSE firewall.
- hwscan only exists in SuSE 9.3, in 10.0 or later it's gone! Let hwscan only run in SuSE 9.3 client.
- use mkpxeinitrd-net instead of mkinitrd-net now.
- Let OpenSuSE 10.0 can use yum (not finished!)

* Thu Oct 27 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.4-21
- update dev.DBN3.1.tgz with B2D 200510 version.
- add opensuse network installation.

* Thu Oct 27 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.4-20
- comment "umount -a" in /etc/init.d/{reboot,halt} for B2D.

* Thu Oct 27 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.4-19
- add notmpfs in perl script (process /etc/init.d/halt of B2D).

* Thu Oct 27 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.4-18
- fix the bug for put the wrong perl script (process /etc/init.d/halt of B2D) in SuSE block.

* Thu Oct 27 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.4-17
- add /etc/sysconfig/i18 reading if it's B2D.
- exclude umounting tmpfs in /etc/init.d/umountfs of clients.
- add a perl script to process /etc/init.d/halt of B2D.

* Thu Oct 27 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.4-16
- rm client-extra-service in the Makefile, do not put it in /etc/sysconfig/
- create a template /etc/drbl/client-extra-service if it not found in drblpush.

* Wed Oct 26 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.4-15
- fix the bug that we use wrong variable for querying installed_openssl

* Wed Oct 26 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.4-14
- update the language files.
- support -y of drbl-ocs in dcs.

* Tue Oct 25 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.4-13
- tune the halt script for CentOS 4/4.1/4.2.

* Mon Oct 24 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.4-12
- fix the loss of rc.sysinit.CO4.2.drbl and halt.CO4.2.drbl.

* Thu Oct 20 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.4-11
- Mandriva 2006 support.
- fix the bug for unable to copy rc.sysinit.MDVXXX.drbl to clients in drblpush.

* Tue Oct 18 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.4-10
- add mandriva network installation.

* Tue Oct 18 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.4-9
- fix the bug: put wrong search pattern for ethernet port for WAN connection in drblpush.

* Tue Oct 18 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.4-8
- use route -n to get the ethernet port for WAN connection in drblpush.

* Tue Oct 18 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.4-7
- fix another bug of drbl4imp which unable to get the locale.

* Mon Oct 17 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.4-6
- fix the bug of drbl4imp which unable to get the locale.

* Mon Oct 17 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.4-5
- set Flags: seen in all output in sbin/deb-preconf-drbl

* Mon Oct 17 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.4-4
- add --force-yes for apt-get install when it's Ubuntu.
- update some data for sbin/deb-preconf-drbl, use egrep instead of fgrep.

* Mon Oct 17 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.4-3
- Support Debian testing/unstable, especially Ubuntu 5.10 (Breezy).

* Sat Oct 15 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.4-2
- update mknic-nbi with parameter -m|--modules to work with mkinitrd-net 1.15-8drbl.

* Fri Oct 14 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.4-1
- use drbl-core/pre-drbl as 3rd apt repository so that we can separate that with OS in RH/FC apt repository (Which only used in RH 8.0/9, FC 1/2).

* Fri Oct 14 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.3-41
- use only one name drbl-testing instead of drbl-test/drbl-testing.
- remove function setup_MDK_apt
- add support for CentOS 4.2

* Thu Oct 13 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.3-40
- use install_lynx_via_${installer}_if_necessary for yum/apt so that in FC1/RH it will be ok.

* Wed Oct 12 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.3-39
- show the whole command when run drbl-ocs so that it's easier to copy that for later use.

* Tue Oct 11 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.3-38
- use diffrent variables rc_install_kernel & rc_get_kernel when downloading and installing kernel.
- update the usage info of mknbi-nic.

* Tue Oct 11 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.3-37
- fix a variable typo.

* Tue Oct 11 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.3-36
- Use rpm -ql centos-release | grep "RPM-GPG-KEY-centos4" to get the key since CO4/4.1 use the same PATH /usr/share/doc/centos-release-4/

* Mon Oct 10 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.3-35
- use umount -l /initrd in init.drbl to ignore the busy warning.

* Mon Oct 10 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.3-34
- Suport CentOS 4.1.
- We should check CentOS-Base.repo not CentOS-Base for yum in CentOS

* Sat Oct 07 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.3-33
- add option for -z0/-z1/-z2 in dcs.

* Fri Oct 07 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.3-32
- now back to the exact size of swapfile, do not use the size difference since we can use stat to get the right file size.

* Fri Oct 07 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.3-31
- add an option -n|--netdev in mknbi-nic so it can assign the priority of network card in client to request IP address when client booting in pxelinux.

* Wed Oct 05 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.3-30
- make get-nic-devs accept other name not only ethx for /proc/net/dev

* Tue Oct 04 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.3-29
- Show warning if user use drbl-cp-host to copy files into those directories not /etc, /var, /root.
- if existing swap file size difference is < 5%, we will accept that.
- update with syslinux 3.10-pre3, which fixed the pxelinux menu.c32 password bug.
- do *NOT* specify the salt for pxelinux SHA1 password, let the program pick a random one.
- make the network device name more general in dhcpd port file.

* Sun Oct 02 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.3-28
- DRBL client can be only NIS client, NIS slave is not necessary.
- we should create /var/lib/xfree86/xorg.conf.md5sum instead of /var/lib/xfree86/XF86Config-4.md5sum in Ubuntu Hoary.

* Sun Oct 02 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.3-27
- use new version memtest86+ 1.65.

* Thu Sep 29 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.3-26
- fix the bug for unable to append the modules list in parse-load-mod-suse.

* Wed Sep 28 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.3-25
- try to use the hwdata to load more modules in SuSE, like scsi devices.

* Tue Sep 27 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.3-24
- delete an extra ;; in drblpush.

* Mon Sep 26 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.3-23
- create a CLEAN rc.boot/boot.local/rc.local to avoid some commands copied from server (add for Debian/SuSE).

* Mon Sep 26 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.3-22
- add services hwscan parse-load-mod-suse force-load-ide in boot.d so that we can load some modules for chips and IDE storage deevices.

* Sun Sep 25 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.3-21
- We need "grep -o", and the grep in woody does not have that option, so use the one from backports.
- Note, now we need to use the backports in /etc/apt/sources.list, check /opt/drbl/doc/install_notes_Debian.txt for more details.

* Sat Sep 24 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.3-20
- fix a bug for unable to clean unnecessary files in /tftpboot/nbi_img when uninstalling drbl.

* Sat Sep 24 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.3-19
- add a parameter "-e" for clonezilla in dcs

* Wed Sep 21 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.3-18
- remove extra command "break" in drblsrv.
- fix the bug for unable to get network/netmask in SuSE.

* Tue Sep 20 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.3-17
- add a function to set pxelinux password in drblpush.
- fix the bug, we should put the dhcpd.conf file, not only path in bin/parse_dhcpd.conf

* Tue Sep 20 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.3-16
- add woody-netinstall in Obsoletes in drbl.spec.

* Tue Sep 20 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.3-15
- add libdigest-sha1-perl as a necessary package in Debian in drblsrv.
- make symbolic links in sbin/{drblsrv,drblpush} from setup/{drblsrv,drblpush}.

* Mon Sep 19 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.3-14
- bin/get_ip and bin/drbl-doit use $PATH instead of /sbin/ifconfig.
- use /opt/drbl/bin/get_ip to get the ipaddress instead of /opt/drbl/bin/parse_net_conf

* Sat Sep 17 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.3-13
- perl -pi -e 's|^#!/bin/sh|#!/bin/bash|' *
- excluding multicast mode when -u for clonezilla is chosen in dcs.
- make multicast as the default mode in dcs.

* Wed Sep 14 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.3-12
- now we can assign the ethernet port connected to WAN, not fixed to eth0 any more.

* Sat Sep 10 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.3-11
- fix a bug that we forgot to exclude umounting /sys when rebooting/halting in FC2/3/4.

* Fri Sep 09 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.3-10
- create md5sum for XF86Config-4 in firstboot in Debian, otherwise dpkg-reconfigure won't update the modified XF86Config-4.
- we need mount -n /dev/pts in /etc/rc.sysinit of client, so that we won't have an error "No more PTYs" (This make "none /dev/pts                devpts  gid=5,mode=620  0 0" works in /etc/fstab.

* Tue Sep 06 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.3-9
- just remove files under /tftpboot/nbi_img, not directory under that.

* Tue Sep 06 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.3-8
- do not just remove /tftpboot/* when uninstalling, we will skip some files which might be installed by RPM packages, like *netinstall* and etherboot

* Tue Sep 06 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.3-7
- make Debian 3.1 (dev.DBN3.1.tgz) (especially B2D) /dev/dsp* and /dev/mixer* mode: 666. For udev, we do NOT touch that.
- update drbl-client-switch so that it can use "-t" and "-k" in drbl-ocs.

* Fri Sep 02 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.3-6
- remove "set -e" setting sbin/gen_client_files.sh to avoid the error in FC4.

* Thu Sep 01 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.3-5
- add option -c and -r in mknbi-nic.

* Tue Aug 30 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.3-4
- fix a bug for copying some extra files in client's /var/lib... those are not necessary.

* Tue Aug 30 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.3-3
- fix a bug when output nisdomain to client's config file.

* Tue Aug 30 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.3-2
- fix a bug when there is no old clients files, the parameters input to gen_client_files.sh is wrong parsed.

* Tue Aug 30 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.3-1
- use sbin/gen_client_files.sh to create client's files in drblpush.
- update syslinux with 3.11-pre10

* Mon Aug 29 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.2-3
- forgot to put the VERSION in /opt/drbl/pkg/memtest86+/VERSION, add it now.

* Mon Aug 29 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.2-2
- add a memtest86+ version tag in /tftpboot/nbi_img.
- update code to make drbl-client-root-passwd work in SuSE.

* Sun Aug 28 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.2-1
- put memtest86+.bin as part of package "drbl" in drbl/pkg/memtest86+, so no more installing memtest86+ package when running drblsrv -i.
- add the COPYING and README files in drbl/pkg/*.
- update syslinux with 3.11-pre7.
 
* Sun Aug 28 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.1-6
- Add RCX_ROOTDIR and RCX_REL_INITD in drbl.conf so that clonezilla can work in SuSE.

* Sun Aug 28 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.1-5
- update syslinux with 3.11-pre6
- modify fbasename so that when sed is not in /usr/bin in Mandrake it still works.

* Sat Aug 27 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.1-4
- write a perl script gethostip.pl to replace the statically linked gethostip.

* Sat Aug 27 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.1-3
- Forgot to switch the new drblsrv files, do it.

* Sat Aug 27 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.1-2
- Fixed bugs when querying i586 packages in SuSE.

* Fri Aug 26 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.1-1
- remove the installation of package ipcalc and syslinux, we just collect the necessary files into this package "drbl".

* Fri Aug 26 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.0-6
- lftp should be installed ealier, it's necessary for checking i586 glibc 

* Fri Aug 26 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.0-5
- make all programs in /opt/drbl/{sbin,bin} work in SuSE.

* Fri Aug 26 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.0-4
- drblsrv will try to install the i586 glibc/db... when i586 arch is selected.
- fix a critical bug in Debian, /var/lib/nfs should exist and nfs-common should be started in clients.

* Mon Aug 22 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.0-3
- use -y --no-checksig when run "apt dist-upgrade" in SuSE.

* Sun Aug 21 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.0-2
- use "apt" instead of "apt-get" in SuSE so that we can use --no-checksig.
- show notes in SuSE when apt4rpm is not installed.

* Sat Aug 13 2005 Steven Shiau <steven _at_ nchc org tw> 1.5.0-1
- Add SuSE supports.
- Add bin/socket.pl so that we do not need "socket" program.
- Move function install_RH_MDK_client_kernel (was install_client_kernel) ealier and will let user to choose which kernel (from release or updates).
- Do not link /proc/mounts to /etc/fstab for clients, and do not remove /etc/mtab in client's /etc/rc.d/rc.sysinit.
- Add /etc/fastboot in clients.

* Fri Jul 29 2005 Steven Shiau <steven _at_ nchc org tw> 1.4.0-25
- update conf/drbl.conf

* Fri Jul 29 2005 Steven Shiau <steven _at_ nchc org tw> 1.4.0-24
- add some parameters to make mandrake can do graphically installation

* Tue Jul 26 2005 Steven Shiau <steven _at_ nchc org tw> 1.4.0-23
- do not remove dialog when uninstalling in Debian.
- check if /etc/environment exists before modify /etc/default/gdm
- check if /usr/sbin/gdmgreeter exists before modify gdm.conf in server.
- add discover in rcS.d for woody.
- copy some rc files (.bashrc, .bash_profile...) to client's root home directory

* Mon Jul 25 2005 Steven Shiau <steven _at_ nchc org tw> 1.4.0-22
- if discover1 exists, we should not install discover.

* Mon Jul 25 2005 Steven Shiau <steven _at_ nchc org tw> 1.4.0-21
- /etc/init.d/nfs-kernel-server does not read /etc/default/nfs-kernel-server in Woody, so modify the RPCNFSDCOUNT in /etc/init.d/nfs-kernel-server.

* Mon Jul 25 2005 Steven Shiau <steven _at_ nchc org tw> 1.4.0-20
- add tftpd in inetd.conf if it's not available in standalone service.
- add inetd service in drbl_server_service_chklist.
- For Debian woody, it seems that /etc/networks is not automaticaly created. If we can not find it, just touch it
- This release should work in Woody.

* Sun Jul 24 2005 Steven Shiau <steven _at_ nchc org tw> 1.4.0-19
- bug fixed for halting sarge machine, we should not put umountfs and replace some arguments in client's /etc/init.d/halt.

* Sun Jul 24 2005 Steven Shiau <steven _at_ nchc org tw> 1.4.0-18
- bug fixed, we should not terminate drbl-powerful-thin-client when kdmrc is not found, maybe it's gdm.conf.
- update some prompt messages.

* Sun Jul 24 2005 Steven Shiau <steven _at_ nchc org tw> 1.4.0-17
- move netinstall after kernel installation for Debian installation.
- add -o|--client_kernel_from for drblsrv for Debian.

* Sat Jul 23 2005 Steven Shiau <steven _at_ nchc org tw> 1.4.0-16
- Now there are two options for installing client's kernel, local and apt repository in Debian-based distributions.

* Sat Jul 23 2005 Steven Shiau <steven _at_ nchc org tw> 1.4.0-15
- relink some commands in /sbin (originally linked to init) to init.orig.
- remove -i in client's /etc/init.d/halt & /etc/init.d/reboot so it won't stop network before halting or rebooting system.
- This release works in B2DpureKDE20050603.

* Fri Jul 22 2005 Steven Shiau <steven _at_ nchc org tw> 1.4.0-14
- bug fixed, in sbin/clean-dhcpd-lease add $DHCPDLEASE_DIR for dhcpd lease dir path 
- user dpkg -s instead of dpkg -l so we can get the correct retur code.

* Thu Jul 21 2005 Steven Shiau <steven _at_ nchc org tw> 1.4.0-13
- Debian Sarge does not sync the locale setting of gdm with system. Do it for DRBL clients.
- bug fixed for wrong exec file name when stop drbl-clients-nat

* Thu Jul 21 2005 Steven Shiau <steven _at_ nchc org tw> 1.4.0-12
- Make drblsrv work in Ubuntu. Ubuntu use the name "linux-image" instead of "kernel-image". Note! In this version, DRBL still does not work well in Ubuntu.
- Since the singature of drbl.deb is not available now, add an option -f|--force-yes for apt.
- Bug fixed in dcs - re-deploy when language en is choosed.
- include /var/lib space in sbin/check_drbl_setup_space.

* Tue Jul 19 2005 Steven Shiau <steven _at_ nchc org tw> 1.4.0-11
- mknbi is not necessary, so do not install it.

* Tue Jul 19 2005 Steven Shiau <steven _at_ nchc org tw> 1.4.0-10
- The tarball name is named version-release, no more date.
- Since mknbi is separated from mkinitrd-net, we need to install mknbi now.

* Mon Jul 18 2005 Steven Shiau <steven _at_ nchc org tw> 1.4.0-9
- fixed a bug in drbl-client-reautologin in RH-like distribution.

* Mon Jul 18 2005 Steven Shiau <steven _at_ nchc org tw> 1.4.0-8
- bug fixed, we should create "net.ipv4.ip_forward = 1" in /etc/sysctl.conf if not in /etc/sysctl.conf
- make mkswapfile/drblthincli work in Debian.
- add /usr/sbin/gdm-safe-restart for Debian.
- make 2 levels command available in dcs.
- add woody in generate-pxe-menu.

* Sun Jul 17 2005 Steven Shiau <steven _at_ nchc org tw> 1.4.0-7
- add more commands in dcs.

* Sat Jul 16 2005 Steven Shiau <steven _at_ nchc org tw> 1.4.0-6
- bug fixed - unable to shutdown/reboot in Debian.
- rewrite some scripts about output dhcp server's arguments.

* Fri Jul 15 2005 Steven Shiau <steven _at_ nchc org tw> 1.4.0-5
- Supposed "udpcast" is put in the rpm spec's requirement of clonezilla. But alien fails to make that deps, so we add in drblsrv.

* Fri Jul 15 2005 Steven Shiau <steven _at_ nchc org tw> 1.4.0-4
- update the file, pack wrong drblpush.

* Fri Jul 15 2005 Steven Shiau <steven _at_ nchc org tw> 1.4.0-3
- Fixed bugs, client should have services in /etc/rcS.d.
- Fixed some bugs due to client's initrd cramfs format.
- Rewrite some scripts in {bin,sbin} with $SYSCONF_PATH.

* Wed Jul 13 2005 Steven Shiau <steven _at_ nchc org tw> 1.4.0-2
- Revise more codes (/opt/drbl/{sbin,bin} to make it work in Debian.

* Wed Jul 13 2005 Steven Shiau <steven _at_ nchc org tw> 1.4.0-1
- merge some codes for Debian, now one package drbl should work in RH/FC/MDK/CentOS/Debian.

* Tue Jun 28 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.11-19
- update the GDM theme with org.tw, and use new logo.

* Sun Jun 26 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.11-18
- remove some useless codes in drblsrv.
- fix the bug for RH9, the tcp over NFS is not supported in the running kernel 2.4.20-8, so we have to use drbl-nfs-conf to switch it.

* Fri Jun 24 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.11-17
- exit 1 should be after $SETCOLOR_NORMAL in mknbi-nic
- update some usage message in mknbi-nic

* Thu Jun 23 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.11-16
- bug fixed in check_drbl_setup_space, should exclude something like /mnt/tftpboot.

* Tue Jun 21 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.11-15
- bug fixed in mkswapfile, should use variable instead of /tmp/hda1.

* Tue Jun 21 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.11-14
- use "drbl-terminal" instead of "drbl-thin-client" in pxelinux config and dcs.

* Tue Jun 21 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.11-13
- append vt7 in X -query so that the keyboard will work in terminal mode with FC3/4

* Tue Jun 21 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.11-12
- update the MENU local with "Local operation system (if available), this is easier to see, and more appropriate. Not always HD, maybe it's floppy or cdrom.

* Tue Jun 21 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.11-11
- use variables $powerful_client_menu_label and $thin_client_menu_label in sbin/generate-pxe-menu.

* Tue Jun 21 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.11-10
- update the message for Mandriva 2005/MDK 10.2 kernel-i586-up-1GB.

* Mon Jun 20 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.11-9
- replace description "thin-client" with "terminal mode", this is more appropriate.

* Mon Jun 20 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.11-8
- replace OS_Version name "MDK10.2" with "MDV2005"
- now use urpmi for all MDK version, including MDK 9.2/10.0/10.1 and MDV2005.

* Sun Jun 19 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.11-7
- forgot to add add OS_version in remote-linux of dcs, added that.

* Fri Jun 16 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.11-6
- fix the halt bug in FC4.
- add OS_version so that dcs will show OS_Version in pxelinux's default.
- check yum repository before using it.
- add batch mode for drbl4imp.

* Thu Jun 16 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.11-5
- add -t -a -n -m -x -c -g -k options for drblsrv so we can run it in batch mode.
- add -p in drblpush so that we can assign the default client no in each NIC port.
* Thu Jun 16 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.11-4
- a bug is fixed: unable to filter i586 or i686 kernel rpm.

* Thu Jun 16 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.11-3
- put distribution code name in pxelinux menu (generate-pxe-menu).
- query dev, MAKEDEV and kernel rpm before downloading it.

* Tue Jun 14 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.11-2
- fix some bugs in rc.sysinit.drbl, drblsrv (i386 glibc/openssl).

* Tue Jun 14 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.11-1
- initial release for FC4.

* Fri Jun 11 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-36
- fix a bug for no menus in MDK 10.2 clients, now add /var/lib/menu /var/lib/menu-xdg for MDK 10.2

* Fri Jun 10 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-35
- Bug fixed, there is no i386 arch form MDK.

* Fri Jun 10 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-34
- Skip extra driver question, since it's been a long time we did not create those driver.
- Fix the bug to refer DRBL server's kernel arch.

* Fri Jun 10 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-33
- Process the special case! Makdrake 10.1/10.2 uses kernel-i586-up-1GB for 586 CPU, The kernel rpm kernel-2.6.11.6mdk-1-1mdk.i586.rpm is only working with i686 CPU. Since Mandrake does NOT want to fix the bug... We have to take care by ourselves! Put UGLY code for Mandrake 10.1/10.2.

* Thu Jun 09 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-32
- add reiserfs in RH/FC append so that reiserfs will be enabled when installing.

* Thu Jun 09 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-31
- drop woody, now only sarge netinstall.

* Thu Jun 09 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-30
- add extra append options in generate-pxe-menu for Debian Sarge netinstall

* Tue Jun 07 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-29
-  add warning if i386 glibc or openssl rpm is not installed

* Tue Jun 07 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-28
- make glibc and openssl upgrade as default so that the consistency will be better.

* Mon Jun 06 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-27
- add selinux=0 in the template of generate-pxe-menu

* Wed Jun 01 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-26
- add a function to check DRBL client's kernel arch.
- fix a bug. In mknic-nbi, it should check client's kernel arch, not server's.

* Wed Jun 01 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-25
- make dcs without -f for drbl-ocs, now -f is the default option for drbl-ocs.

* Tue May 31 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-24
- convert the uppercase kernel tag to lowercase tag, like X86_64 -> x86_64 in check_kernel_cpu_arch.

* Tue May 31 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-23
- move smp question easier.

* Tue May 31 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-22
- replace "drbl" for "drbl-setup" in the language files. 

* Tue May 31 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-21
- update the echo message in mknic-nbi

* Tue May 31 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-20
- fix the bug for turn off all PXELinux menus, otherwise client will have problem: boot: EL entries found in configuration file!
- fix the bug for mknic-nbi, now it will update kernel first and check if arch matches.

* Mon May 09 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-19
- update doc/Known_issues.txt

* Mon May 09 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-18
- fix the bug, forget setting client's nsswitch.conf nis auth for MDK.

* Sun May 08 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-17
- initial release for MDK 10.2 

* Fri May 06 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-16
- Circles is the standard shipped theme, it works for RH/FC/MDK. Use it when uninstalling.

* Tue May 03 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-15
- update some lang files for clonezilla clients+time-to-wait mode.

* Tue May 03 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-14
- update some lang files for clonezilla clients+time-to-wait mode.

* Tue May 03 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-13
- fix the bug when running drblsrv 2nd time, unable to check if the kernel arch fits client's requirement.

* Tue May 03 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-12
- fixed a bug when long device name (LVM) check_drbl_setup_space will fail.

* Mon May 02 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-11
- add version table for MDK 10.1 community 

* Sun May 01 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-10
- update some descriptions for drblsrv.
- put a solution for sis900 NIC in doc/Known_issues.txt.

* Sat Apr 30 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-9
- fix a bug: lvm2-stop.sh mode is wrong.

* Fri Apr 29 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-8
- add script lvm2-stop.sh in /opt/drbl/sbin

* Sun Apr 24 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-7
- fix the bug for unable to get right kernel when run "mknic-nbi -a"

* Sun Apr 24 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-6
- update Makefile and some doc files.

* Sat Apr 23 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-5
- update AUTHORS/ChangeLog.txt

* Sat Apr 23 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-4
- recontruct the file archi in /opt/drbl, add dir /opt/drbl/doc.
- use Makefile for the drbl tarball.

* Sat Apr 23 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-3
- put drbl-setup in the Obsoletes in drbl.spec.

* Sat Apr 23 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-2
- fix the bugs for forgeting to rename drbl-script and drbl-gdm in drblsrv and drblpush. 

* Sat Apr 23 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-1
- drbl-setup is merged with drbl-script, drbl-gdm, then rename it as package name "drbl"

* Thu Apr 21 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-26
- update some descriptions for drblsrv.

* Thu Apr 21 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-25
- fix the bug for unable to download updated kernel in CentOS4.

* Thu Apr 21 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-24
- update some descriptions for drblpush.

* Thu Apr 21 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-23
- fix the bug when client's IP last set digits > 100, the hostnames are blank.

* Wed Apr 20 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-22
- force select_repository="yes" in MDK 10.1

* Tue Apr 19 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-21
- make select yum repository as an option for some distribution
- fix the bug of drbl-client-root-passwd in x86_64
- set client hostname rule as "hostname_prefix[NO]", no more hostname_prefix-[NO] i.e. remove "-". If user want that, he can enter that like "fc3-"

* Tue Apr 19 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-20
- remove drbl-extra, it's not easy to maintain in so many distributions.

* Tue Apr 19 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-19
- fix a bug which not putting yum-repos to /opt/drbl/setup.

* Tue Apr 19 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-18
- use drbl-*-mirror-lists in ayo server when run drblsrv -i -s. So now user does not have to write drbl related yum repository.

* Mon Apr 18 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-17
- update drblpush with some descriptions.

* Sun Apr 17 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-16
- update some descriptions for drblsrv.

* Fri Apr 15 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-15
- update some descriptions for ocs.

* Fri Apr 15 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-14
- Add some descriptions for ocs.

* Thu Apr 14 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-13
- Update the description for optimization CPU kernel of client.

* Wed Apr 13 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-12
- Make x86_64 machine search the right url.

* Tue Apr 12 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-11
- change nbi description in lang/bash.
- fix the bug for unable to hide fdos initially.

* Mon Apr 11 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-10
- update some description.

* Mon Apr 11 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-9
- update language files

* Sun Apr 10 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-8
- move language files to /opt/drbl/conf

* Tue Apr 7 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-7
- update the boot hints in drblpush.

* Tue Apr 7 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-6
- update the boot hints in drblpush.

* Tue Apr 7 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-5
- update some echo.

* Tue Apr 7 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-4
- add code to change PXE menu label when mode drbl is switch to clonezilla.

* Mon Apr 6 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-3
- remove the code for generate fdos.nbi since etherboot 5.4.0 is released. No more *.nbi.

* Mon Apr 6 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-2
- bug fixed for wrong url path.

* Mon Apr 6 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-1
- make drblsrv and work without setting up yum/apt/urpmi repository
- add CentOS4 support.
- update rc.sysinit.FC3.drbl and rc.sysinit.default-RH.drbl since rc.sysinit in FC3 is updated.
- drop etherboot config in dhcpd.conf, since etherboot 5.4.0 is released, it can almost fit PXE server except localboot. Now client machine must use etherboot 5.4.0 or newer.

* Thu Mar 31 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.8-5
- remove the stale file /etc/init.d/ocs when uninstallation.

* Thu Mar 31 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.8-4
- update some descriptions
- do not install perl-IO-LockedFile, we do not need this with new clonezilla.

* Wed Mar 30 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.8-3
- change $ocsroot/ocsmgrd.lock to $ocsroot/clonezilla.lock

* Mon Mar 28 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.8-2
- Rename some functions name in drbl-function.

* Sun Mar 27 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.8-1
- Use the simple menu format for pxelinux

* Fri Mar 25 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.7-19
- fix the bug for not including drblthincli mkswapfile in client services

* Thu Mar 24 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.7-18
- precisely list the class B private IP address 
- fix the bug for unable to copy the mac address file to working directory.

* Thu Mar 24 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.7-17
- change the description when generating PXE config file.

* Tue Mar 22 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.7-16
- move the checking of drbl-script and others packages to the beginning of drblpush.
- remove ntp when uninstalling.

* Mon Mar 21 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.7-15
- rename some config files when uninstalling.

* Mon Mar 21 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.7-14
- bug fixed, the MAC address file with full path specified by user now works.

* Fri Mar 18 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.7-13
- bug fixed for netinstall in MDK.
- add code to clean urpmi and yum setting.

* Fri Mar 18 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.7-12
- make netinstall image installation more flexable.

* Wed Mar 16 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.7-11
- use generate-pxe-menu to create the PXE menu instead of coding in drblsrv

* Tue Mar 15 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.7-10
- Add more specific warning messages when tcp wrapper is set in server.

* Tue Mar 15 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.7-9
- remove the /etc/reconfigSys in client's common root

* Tue Mar 15 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.7-8
- Support Class A/B/C private IP of DRBL clients.
- Add drbl-yp-securenets to gentrate the /var/yp/securenet.
- Use /opt/drbl/bin/get_ip instead of writing ugly code in perl.
- Keep drbl-setup when running drblsrv -i.
- Fixed bug when libapt-pkg0 is installed while trying to install it.

* Mon Mar 14 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.7-7
- use urpmi --auto instead of urpmi --force (MDK bugzilla #14583)

* Mon Mar 14 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.7-6
- add drbl-extra option for yum repository.

* Sun Mar 13 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.7-5
- use update_client_kernel_from_server.sh in drblsrv and mknbi-nic

* Sun Mar 13 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.7-4
- Add a tag of client kernel arch in /tftpboot/nbi_img
- Before rsync kernel module (/lib/modules -> /tftpboot/node_root), check if the arch matches.

* Sat Mar 12 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.7-3
- Make drblpush more generic, not depends on OS_Version.
- Rewrite the code to run authconfig in /tftpboot/node_root

* Thu Mar 10 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.7-2
- Add check and install udev if necessary.
- The services for cleint to run will be checked before them are put into client's /etc/init.d
- Add an option to use existing yum core/updates config instead of overwritting it.

* Wed Mar 9 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.7-1
- Add x86_64 support for FC3.

* Tue Mar 8 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-36
- Add removing dhcp-server, yptools...  when uninstalling drbl in MDK.

* Tue Mar 8 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-35
- For MDK 10.1, use urpmi as the default installer.

* Mon Mar 7 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-34
- set yum as the default installer for FC3.

* Mon Mar 7 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-33
- fix the bug for unable to separate the drbl-testing and drbl-unstable yum repository.

* Sun Mar 6 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-32
- Separate the OS and DRBL repository choices for RH/FC/MDK.
- Bugs fixed.

* Wed Mar 2 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-31
- Let wget/glibc/openssl/kernel installation works without apt.
- add code to download dev and MAKEDEV rpm without apt-get.

* Fri Feb 25 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-30
- put client_kernel_install_option in drbl.conf so that it's easier to set it without touching drblsrv.

* Thu Feb 24 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-29
- separate the repository url to url_drbl and url_os.
- now we can find and install the latest kernel without apt.

* Wed Feb 23 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-28
- bug fixed, when kernel is not available in RPMS.os/RPMS.core, program won't stop, it will try to find it in RPMS.updates.

* Wed Feb 23 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-27
- add code to install client's kernel by rpm only, no apt-get or yum.

* Tue Feb 22 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-26
- merge drblsrv-rh and drblsrv-mdk to drblsrv, we do not separate them.

* Mon Feb 21 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-25
- rewrite drblsrv-rh using shell scripts only.

* Fri Feb 18 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-24
- Do NOT set the locale by "export LC_ALL=C" in drbl-functions. It will make dialog distortation.

* Fri Feb 18 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-23
- correct tyops.
- remove "-w, --website     Browse the NCHC DRBL website" in drblsrv-rh.
- reformat the Usage both in drblsrv-rh and drblsrv-mdk.

* Thu Feb 17 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-22
- For MDK, the arch is only i586, so add default setting apt_archi_set="i586" in drblsrv-mdk.sh.

* Thu Feb 17 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-21
- The kernel arch in the server should meet the client's requirement.

* Wed Feb 16 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-20
- if the latest kernel exists in the server, just copy it to common root, if else, apt-get install it.
- clean $ocsroot/ocsmgrd.lock when uninstalling.

* Wed Feb 16 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-19
- add /tftpboot/node_root/media and tmpfs mount in client's /etc/fstab, we need this for automount USB disk.

* Tue Feb 15 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-18
- add services - haldaemon messagebus for FC3... we need that for usb automount.

* Tue Feb 15 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-17
- move stop_ocs_if_necessry to drbl-client-switch from drbl-functions.

* Mon Feb 14 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-16
- fixed the bug - the HOST_OPT1 "$HOST_OPT2" does NOT work when drbl-client-switch run without "-h $IP_LIST"

* Mon Feb 14 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-15
- the hostname of client will use "-" instead of "_", which follows the rule when installing Fedora Core.
- update some functions in drbl-functions to make "drbl-client-switch --list-host" work.

* Sun Feb 6 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-14
- update drbl.conf.

* Sun Feb 6 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-13
- reduce one tab before the prompt "DRBL for Mandrake" in rc.sysinit.

* Sun Feb 6 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-12
- initial release for Mandrake Linux 10.1.

* Thu Feb 2 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-11
- the hostname of client will use "_" instead of "-"
- add code to delete the empty line and those comment line of MAC address file.
- add ddrescue isntallation.

* Fri Jan 28 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-10
- bug fixed.

* Fri Jan 28 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-9
- if unstable is chosen, we must set drbl_test_answer to yes.

* Thu Jan 27 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-8
- fix the bug when entered MAC file is not name as macadr-eth* 

* Thu Jan 27 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-7
- minor bugs fixed.
- add netgroup generation so that it's easier to add some export directory

* Sat Jan 22 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-6
- add a function to check the input MAC file.

* Fri Jan 21 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-5
- fix the bug for not allowing dot as domainname.

* Wed Jan 19 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-4
- fix the bugs for "ldd /sbin/depmod" and "ldd /sbin/chkconfig" in MDK 10.0

* Wed Jan 19 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-3
- add checking if initial digits in hostname prefix.
- follow Fedora Project Developer's Guide, turn off the standard output when installing drbl-setup.

* Tue Jan 18 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-2
- add drbl.sf.net + freshrpms.net (RH/Fedora) and drbl.sf.net + distro.ibiblio.org (MDK) as one of the sources when setup DRBL env.

* Mon Jan 17 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-1
- use the apt comes with MDK, no more made by DRBL.
- the freshrpms apt_dir is different to that of DRBL, use different name.
- turn off cups service in drbl clients.

* Thu Jan 13 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.5-26
- bug fixed, put cups in all versions if cups is on in the server.

* Thu Jan 13 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.5-25
- add /etc/sysconfig/drbl/client-extra-service so that use can specify services for clients before running drblpush -i.
- move purging client question to the end of prompt in drblpush.
- bug fixed, IIim in FC2, iiim in FC3, different names

* Thu Jan 13 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.5-24
- If cups and iiim is on in server, they will be on in the clients.
- fix the bug for searching latest kernel in Mandrake.

* Wed Jan 12 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.5-23
- add the new method to search latest_drbl_kernel_in_rep, now it will find the really latest kernel. 
- disable reconfiging ntp, user accounts... for clients... in /usr/sbin/firstboot in the firstboot service, we should not do it again in clients.

* Mon Jan 10 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.5-22
- add hints for yes/no options in the beginning.

* Sun Jan 09 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.5-21
- add some more notes.
- fix the bug of failing to show message $msg_install_kernel_might_take_several_minutes

* Fri Jan 07 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.5-20
- update some prompt in lang/bash

* Thu Jan 06 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.5-19
- force to remove /etc/sysconfig/firstboot in the common root initially.

* Thu Jan 06 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.5-18
- add drbl-extra as an option.
- remove xorg.conf in clients initially.

* Tue Jan 04 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.5-17
- add switch_all_clients_init in drbl-functions.

* Mon Jan 03 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.5-16
- Do not copy /dev/console, null, tty[0-5] from server to clients, now we use "mount -t tmpfs none /dev" in the beginning of initrd, so we will use mknode to create console, null, tty[0-5] runtime
- Add installing dos2unix in drblsrv-rh and drblsrv-mdk.

* Sun Jan 02 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.5-15
- fix the typo for if block.

* Sun Jan 02 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.5-14
- add udev support.
- works for FC3.

* Mon Dec 27 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.5-13
- change the sources.list to new dir arch for MDK in drbl-setup

* Mon Dec 13 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.5-12
- fix wget check bug
- comment the rpm-src, if user need that, just edit sources.list by himself.

* Mon Dec 13 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.5-11
- fix the config loading bug in drblsrv-mdk.
- filter the kernel with test lable (in contrib), we do not want that kernel for clients.

* Mon Dec 13 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.5-10
- forget to change the file names, like init.RHFC1.drbl -> init.FC1.drbl

* Mon Dec 13 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.5-9
- fix the version name bug for drblsrv

* Mon Dec 13 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.5-8
- Add installing parted in drblsrv-mdk.sh
- new code to install wget, chaget the RH*_wget_rpm to wget_rpm_RH8_0, wget_rpm_RH9

* Fri Dec 10 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.5-7
- Bug fixed, we should check the server's kernel config file for CONFIG_NFSD_TCP, not the one for clients.

* Fri Dec 10 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.5-6
- Copy the macadr-eth*.txt to temp working directory before changing dir.
- Check the kernel config file so we can know if server supports NFS over TCP or not. If not, just use NFS over UDP... So for Redhat 9, it will automatically got it's udp, not tcp...
- Add drbl-unstable option

* Sun Dec 5 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.5-5
- Add l10n for drbl-powerful-thin-switch.

* Sat Dec 4 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.5-4
- Fix the bug for not writting timeout in pexlinux.cfg/default.
- Some minor bugs fixed.

* Sat Dec 4 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.5-3
- Move the drbl-powerful-thin-switch to the last part of drblpush.
- Just ask user to restart/logout kdm/gdm to make the xdmcp config active.
- No more maintain firefly rpms, so skip that in drblsrv.

* Tue Nov 30 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.5-2
- Add thin client mode prompt in drblpush and option in drbl-client-system-select.

* Tue Nov 30 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.5-1
- Add thin client mode.

* Wed Nov 24 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.4-2
- Fix the bug for checking return code in space check.

* Tue Nov 23 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.4-1
- Add parameters common_root_dir and buffer_ratio_for_client_space in drbl.conf
- Add checking the harddisk space is enough or not

* Mon Nov 22 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.3-7
- The pre-saved collected MAC files now can dance with "drblpush -c /etc/sysconfig/drbl/drblpush.conf"

* Mon Nov 22 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.3-6
- Make it quiet when removing DRBL old setting files.

* Mon Nov 22 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.3-5
- fix the bug for unable to clean /tftpboot/* when uninstalling.

* Mon Nov 22 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.3-4
- check if the network card for DRBL environment uses dhcp or static IP, if dhcp, program stop!

* Mon Nov 22 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.3-3
- fix the bug for public IP.
- the drblpush.conf and public_ip_list will be copied to /etc/sysconfig/drbl, not /etc/drbl.

* Fri Nov 19 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.3-2
- unlink the drbl_range temp file when drbl.pl finishes.
- rename the config.interactive to be $DRBLPUSH_CONF="drblpush.conf";
- no more use the current working directory as the working directory. Use temp working directory in drblpush, so the temp created files will be cleaned clearly.
- copy the drblpush.conf to /etc/drbl, so we can re-run drblpush like "drblpush -c /etc/drbl/drblpush.conf"
- exclude the "." in hostname prefix

* Thu Nov 18 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.3-1
- move more setting from drbl-scripts to drbl-ocs. 
- add  a file: drbl-conf-functions

* Thu Nov 11 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.2-3
- add diskless.nchc.org.tw as one of the repository.

* Fri Nov 6 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.2-2drbl
- no more drbl kernel search, use regular kernel from distributions.

* Fri Nov 6 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.2-1drbl
- move stop_ocs_if_necessar() from drbl-ocs to drbl-functions.
- add active_proc_partitions().

* Wed Nov 3 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.1-3drbl
- add active_proc_partitions in drbl-functions so that SCSI devices can be found in drbl-ocs.

* Tue Nov 2 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.1-2drbl
- change the function name set_clients_rc1_passwd in drbl-functions

* Tue Nov 2 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.1-1drbl
- write and move more functions from drbl-ocs to drbl-functions.

* Fri Oct 30 2004 Steven Shiau <steven _at_ nchc org tw> 1.3-1drbl
- Rewrite the program, add /opt/drbl/conf/drbl.conf, /opt/drbl/sbin/drbl-functions and /opt/drbl/sbin/drbl-perl-functions

* Sun Oct 17 2004 Steven Shiau <steven _at_ nchc org tw> 1.2-10drbl
- Use "rsync -a -u" to update files for clients, so now it's not necessary to reboot clients when run "drblpush -i" and select keep the setting. The sshd and other auth mechanism still work without rebooting.

* Sat Oct 11 2004 Steven Shiau <steven _at_ nchc org tw> 1.2-9drbl
- add LC_ALL=C to ` ` in drblpush, thanks to Abdellah Soubaa from France for providing the envorinment to test.

* Sat Oct 9 2004 Steven Shiau <steven _at_ nchc org tw> 1.2-8drbl
- add LC_ALL=C to drblpush system().

* Fri Sep 24 2004 Steven Shiau <steven _at_ nchc org tw> 1.2-7drbl
- fix the bug for SMP.

* Thu Sep 9 2004 Steven Shiau <steven _at_ nchc org tw> 1.2-6drbl
- more clear prompt sentence.

* Thu Sep 9 2004 Steven Shiau <steven _at_ nchc org tw> 1.2-5drbl
- more clear prompt sentence.

* Wed Sep 8 2004 Steven Shiau <steven _at_ nchc org tw> 1.2-4drbl
- write more clear sentence about the dhcp server will provide the same IP address...

* Mon Sep 6 2004 Steven Shiau <steven _at_ nchc org tw> 1.2-3drbl
- fix the bug for unable to get username in drblpush in Mandrake.

* Sat Aug 21 2004 Steven Shiau <steven _at_ nchc org tw> 1.2-2drbl
- when uninstall in mandrake, do not using apt-get remove to remove the kernel in server! Now the kernel is installed directly in /tftpboot/node_root.

* Sat Aug 21 2004 Steven Shiau <steven _at_ nchc org tw> 1.2-1drbl
- drbl kernel is installed into /tftpboot/node_root directly, so now server
and clients can use same version kernel but different archi.
- add ntpd in DRBL server, and client will sync with DRBL server and pool.ntp.org
- fix some bugs.

* Fri Aug 13 2004 Steven Shiau <steven _at_ nchc org tw> 1.1-7drbl
- fix the bug when uninstalling drbl, the language parameter was empty.

* Sun Aug 01 2004 Steven Shiau <steven _at_ nchc org tw> 1.1-6drbl
- add more descriptions when asking collecting MAC address.
- update the MDK 10.0 official version tag.

* Sat Jul 24 2004 Steven Shiau <steven _at_ nchc org tw> 1.1-5drbl
- add -l|--language option for drblsrv and drblpush so that the language will be consistent with drbl4imp.
- add woody-netinstall in PXE menu.

* Fri Jul 23 2004 Steven Shiau <steven _at_ nchc org tw> 1.1-4drbl
- Add pause in drbl4imp when user chooses to go.
- Make client's hostname shorter.

* Thu Jul 22 2004 Steven Shiau <steven _at_ nchc org tw> 1.1-3drbl
- Add drbl4imp (drbl 4 impatient) to let those impatient to setup DRBL server with default values.

* Tue Jul 20 2004 Steven Shiau <steven _at_ nchc org tw> 1.1-2drbl
- Add codes to exclude /etc,/var,/dev in /etc/init,d/halt of clients.

* Tue Jul 20 2004 Steven Shiau <steven _at_ nchc org tw> 1.1-1drbl
- Add codes for Fedora Core 2, now drbl-setup runs ok in FC2.

* Mon Jul 19 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-40drbl
- Fix the typo in client's rc.local, it's detect_cdrom, not detect-cdrom.

* Mon Jul 19 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-39drbl
- Add drblsrv wrapper script to take care drblsrv-rh and drblsrv-mdk.

* Mon Jul 19 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-38drbl
- Add notes after installing drbl-setup.

* Mon Jul 19 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-37drbl
- Make menu for PXE clients more precise.

* Sat Jul 17 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-36drbl
- Fix the bug for PXE menu, option 1 should be Linux, while "enter" key is system assigned by DRBL server.

* Sat Jul 17 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-35drbl
- Add question for setting boot prompt for PXE client or not.

* Fri Jul 16 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-34drbl
- Freedos use new name fdos1440.img instead of boot1440.img, use this new name.

* Fri Jul 16 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-33drbl
- Fix the exportfs bug by remove creating, exporting and mounting directories /home/partimag and /tftpboot/node_root/home/partimag for clonezilla in script drblpush

* Fri Jul 16 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-32drbl
- Add creating, exporting and mounting directories /home/partimag and /tftpboot/node_root/home/partimag for clonezilla in script drblpush
- Add detect cdrom in rc.local for Mandrake, since harddrake does create /dev/cdrom when client boot.
- Use the same timesync file for client and server.
- Client now has 4 options of system when using PXE to boot, i.e. system assigned by server, system in local harddrive, memtest, freedos.

* Sun Jun 27 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-31drbl
- Let Chinese characters shown when asking language. It's easier to choose the right one with readable characters.

* Sun Jun 20 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-30drbl
- fix the bug for hostname like fc1-1-00, which should be fc1-1-001. We need to get the ip_start from range.
- change the NTP server to be stdtime.sinica.edu.tw.

* Mon Jun 14 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-29drbl
- add the default value prompt of language option in drblsrv-rh, drblsrv-mdk, drblpush.

* Tue Jun 08 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-28drbl
- change the order of NFS mount parameters, fix it as r[ow],...,tcp,nolock or r[ow,...tcp,defaults so that it's easier to change the parameters by script.

* Tue Jun 08 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-27drbl
- Use the tcp options for client to mount the NFS directory, this will be betterwhen there is packet loss in LAN, maybe due to the collision in one single switch for 40 clients.
- clean the kernel.sys of freeDOS when program finishs.

* Tue Jun 01 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-26drbl
- add /var/spool/mail for client to use, now user in clent can access his/her email by using mutt.

* Thu May 28 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-25drbl
- touch the drbl client template: /tftpboot/node_root/etc/modules.conf

* Thu May 28 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-24drbl
- fix the bug, we need to add yppasswdd ypxfrd to chkconfig --add for server. 

* Thu May 21 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-23drbl
- no more the fuzzy description of the last set of digits in the IP address....

* Thu May 21 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-22drbl
- user can specify the apt repository by himself in MDK (drblsrv-mdk).

* Tue May 11 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-21drbl
- force to upgrade gpm when user has FC1, this will avoid the bug of dialog, so clonezilla will work well.

* Tue May 04 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-20drbl
- add check if DRBL kernel is available, if not found, program stop.

- fix the bug when checking alias public IP address, 0 and 255 can not only be the first and last digit, it's only for IP checking, not netmask.
* Mon May 03 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-19drbl
- fix the bug when checking alias public IP address, 0 and 255 can not only be the first and last digit, it's only for IP checking, not netmask.

* Sun May 02 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-18drbl
- fix the bug when checking alias public IP address, 0 and 255 can not only be the first and last digit.

* Tue Apr 21 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-17drbl
- recompiled.

* Tue Apr 18 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-16drbl
- it's cdialog and reiserfsprogs in MDK, not dialog and resierfs-utils

* Tue Apr 18 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-15drbl
- add code to detect if apt is compatible with DRBL in drblsrv-mdk

* Tue Apr 17 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-14drbl
- add -o RPM::Hold::="apt" when use apt-get upgrade in drblsrv-mdk.sh

* Tue Apr 13 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-13drbl
- fix the bug with no initial value for exist_size_in_MB in mkswapfile.

* Tue Apr 13 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-12drbl
- if ethernet port is not available for DRBL environment, program stop.

* Tue Apr 13 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-11drbl
- add option to remove kernel.*drbl when uninstalling drbl in mdk.

* Tue Apr 13 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-10drbl
- force to run mknic-nbi with smp option if user specifies smp kernel.
- rewrite kernel searching method for mandrake, now DRBL for Mandrake only uses kernel with tag "drbl"

* Tue Apr 13 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-9drbl
- when uninstall, ask if want to remove drbl-setup or not.

* Tue Apr 13 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-8drbl
- when uninstall, remove drbl-setup.

* Tue Apr 13 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-7drbl
- when user uses local HD as /tmp, rc.sysinit will not mkdir /boot/tmp.

* Tue Apr 13 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-6drbl
- add bc package in drblsrv-mdk.sh and drblsrv.sh.

* Fri Apr 09 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-5drbl
- let mkpxeinitrd-net take care of the copy and link for vmlinuz-pxe and initrd-net, not in drblsrv-rh or drblsrv-mdk.

* Mon Apr 05 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-4drbl
- add codes to compute the sizes of swap partition and swap file together, so that it meets the /etc/sysconfig/mkswapfile in clients.

* Sun Apr 04 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-3drbl
- Fix bug for drblsrv-mdk, we need to add $drbl_setup_path for dev path.

* Sun Apr 02 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-2drbl
- Fix typos in lang/perl/tw.Big5, and add more directories in /var/lib for clients.

* Sat Apr 01 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-1drbl
- Write drbl setup scripts as rpm package, first release.
